var countries_list = new Array("India", "Afghanistan", "Albania", "Algeria", "American Samoa", "Angola", "Anguilla", "Antartica", "Antigua and Barbuda", "Argentina", "Armenia", "Aruba", "Ashmore and Cartier Island", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "British Virgin Islands", "Brunei", "Bulgaria", "Burkina Faso", "Burma", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Cayman Islands", "Central African Republic", "Chad", "Chile", "China", "Christmas Island", "Clipperton Island", "Cocos (Keeling) Islands", "Colombia", "Comoros", "Congo, Democratic Republic of the", "Congo, Republic of the", "Cook Islands", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czeck Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Europa Island", "Falkland Islands (Islas Malvinas)", "Faroe Islands", "Fiji", "Finland", "France", "French Guiana", "French Polynesia", "French Southern and Antarctic Lands", "Gabon", "Gambia, The", "Gaza Strip", "Georgia", "Germany", "Ghana", "Gibraltar", "Glorioso Islands", "Greece", "Greenland", "Grenada", "Guadeloupe", "Guam", "Guatemala", "Guernsey", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Heard Island and McDonald Islands", "Holy See (Vatican City)", "Honduras", "Hong Kong", "Howland Island", "Hungary", "Iceland", "Indonesia", "Iran", "Iraq", "Ireland", "Ireland, Northern", "Israel", "Italy", "Jamaica", "Jan Mayen", "Japan", "Jarvis Island", "Jersey", "Johnston Atoll", "Jordan", "Juan de Nova Island", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macau", "Macedonia, Former Yugoslav Republic of", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Man, Isle of", "Marshall Islands", "Martinique", "Mauritania", "Mauritius", "Mayotte", "Mexico", "Micronesia, Federated States of", "Midway Islands", "Moldova", "Monaco", "Mongolia", "Montserrat", "Morocco", "Mozambique", "Namibia", "Nauru", "Nepal", "Netherlands", "Netherlands Antilles", "New Caledonia", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Niue", "Norfolk Island", "Northern Mariana Islands", "Norway", "Oman", "Pakistan", "Palau", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Pitcaim Islands", "Poland", "Portugal", "Puerto Rico", "Qatar", "Reunion", "Romainia", "Russia", "Rwanda", "Saint Helena", "Saint Kitts and Nevis", "Saint Lucia", "Saint Pierre and Miquelon", "Saint Vincent and the Grenadines", "Samoa", "San Marino", "Sao Tome and Principe", "Saudi Arabia", "Scotland", "Senegal", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "South Georgia and South Sandwich Islands", "Spain", "Spratly Islands", "Sri Lanka", "Sudan", "Suriname", "Svalbard", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Tobago", "Toga", "Tokelau", "Tonga", "Trinidad", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "Uruguay", "USA", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", "Virgin Islands", "Wales", "Wallis and Futuna", "West Bank", "Western Sahara", "Yemen", "Yugoslavia", "Zambia", "Zimbabwe");
var state_list = new Array("Andaman and Nicobar Islands", "Andhra Pradesh", "Arunachal Pradesh", "Assam", "Bihar", "Chandigarh", "Chhattisgarh", "Dadra and Nagar Haveli", "Daman and Diu", "National Capital Territory of Delhi", "Goa", "Gujarat", "Haryana", "Himachal Pradesh", "Jammu and Kashmir", "Jharkhand", "Karnataka", "Kerala", "Lakshadweep", "Madhya Pradesh", "Maharashtra", "Manipur", "Meghalaya", "Mizoram", "Nagaland", "Odisha", "Puducherry", "Punjab", "Rajasthan", "Sikkim", "Tamil Nadu", "Telangana", "Tripura", "Uttar Pradesh", "Uttarakhand", "West Bengal");
var city_list = [
	{ "state": "Andaman and Nicobar Islands", "city": "Port Blair" },
    { "state": "Andhra Pradesh", "city": "Visakhapatnam" },
    { "state": "Andhra Pradesh", "city": "Vijayawada" },
    { "state": "Andhra Pradesh", "city": "Guntur" },
    { "state": "Andhra Pradesh", "city": "Nellore" },
    { "state": "Andhra Pradesh", "city": "Kurnool" },
    { "state": "Andhra Pradesh", "city": "Rajahmundry" },
    { "state": "Andhra Pradesh", "city": "Kakinada" },
    { "state": "Andhra Pradesh", "city": "Tirupati" },
    { "state": "Andhra Pradesh", "city": "Anantapur" },
    { "state": "Andhra Pradesh", "city": "Kadapa" },
    { "state": "Andhra Pradesh", "city": "Vizianagaram" },
    { "state": "Andhra Pradesh", "city": "Eluru" },
    { "state": "Andhra Pradesh", "city": "Ongole" },
    { "state": "Andhra Pradesh", "city": "Nandyal" },
    { "state": "Andhra Pradesh", "city": "Machilipatnam" },
    { "state": "Andhra Pradesh", "city": "Adoni" },
    { "state": "Andhra Pradesh", "city": "Tenali" },
    { "state": "Andhra Pradesh", "city": "Chittoor" },
    { "state": "Andhra Pradesh", "city": "Hindupur" },
    { "state": "Andhra Pradesh", "city": "Proddatur" },
    { "state": "Andhra Pradesh", "city": "Bhimavaram" },
    { "state": "Andhra Pradesh", "city": "Madanapalle" },
    { "state": "Andhra Pradesh", "city": "Guntakal" },
    { "state": "Andhra Pradesh", "city": "Dharmavaram" },
    { "state": "Andhra Pradesh", "city": "Gudivada" },
    { "state": "Andhra Pradesh", "city": "Srikakulam" },
    { "state": "Andhra Pradesh", "city": "Narasaraopet" },
    { "state": "Andhra Pradesh", "city": "Rajampet" },
    { "state": "Andhra Pradesh", "city": "Tadpatri" },
    { "state": "Andhra Pradesh", "city": "Tadepalligudem" },
    { "state": "Andhra Pradesh", "city": "Chilakaluripet" },
    { "state": "Andhra Pradesh", "city": "Yemmiganur" },
    { "state": "Andhra Pradesh", "city": "Kadiri" },
    { "state": "Andhra Pradesh", "city": "Chirala" },
    { "state": "Andhra Pradesh", "city": "Anakapalle" },
    { "state": "Andhra Pradesh", "city": "Kavali" },
    { "state": "Andhra Pradesh", "city": "Palacole" },
    { "state": "Andhra Pradesh", "city": "Sullurpeta" },
    { "state": "Andhra Pradesh", "city": "Tanuku" },
    { "state": "Andhra Pradesh", "city": "Rayachoti" },
    { "state": "Andhra Pradesh", "city": "Srikalahasti" },
    { "state": "Andhra Pradesh", "city": "Bapatla" },
    { "state": "Andhra Pradesh", "city": "Naidupet" },
    { "state": "Andhra Pradesh", "city": "Nagari" },
    { "state": "Andhra Pradesh", "city": "Gudur" },
    { "state": "Andhra Pradesh", "city": "Vinukonda" },
    { "state": "Andhra Pradesh", "city": "Narasapuram" },
    { "state": "Andhra Pradesh", "city": "Nuzvid" },
    { "state": "Andhra Pradesh", "city": "Markapur" },
    { "state": "Andhra Pradesh", "city": "Ponnur" },
    { "state": "Andhra Pradesh", "city": "Kandukur" },
    { "state": "Andhra Pradesh", "city": "Bobbili" },
    { "state": "Andhra Pradesh", "city": "Rayadurg" },
    { "state": "Andhra Pradesh", "city": "Samalkot" },
    { "state": "Andhra Pradesh", "city": "Jaggaiahpet" },
    { "state": "Andhra Pradesh", "city": "Tuni" },
    { "state": "Andhra Pradesh", "city": "Amalapuram" },
    { "state": "Andhra Pradesh", "city": "Bheemunipatnam" },
    { "state": "Andhra Pradesh", "city": "Venkatagiri" },
    { "state": "Andhra Pradesh", "city": "Sattenapalle" },
    { "state": "Andhra Pradesh", "city": "Pithapuram" },
    { "state": "Andhra Pradesh", "city": "Palasa Kasibugga" },
    { "state": "Andhra Pradesh", "city": "Parvathipuram" },
    { "state": "Andhra Pradesh", "city": "Macherla" },
    { "state": "Andhra Pradesh", "city": "Gooty" },
    { "state": "Andhra Pradesh", "city": "Salur" },
    { "state": "Andhra Pradesh", "city": "Mandapeta" },
    { "state": "Andhra Pradesh", "city": "Jammalamadugu" },
    { "state": "Andhra Pradesh", "city": "Peddapuram" },
    { "state": "Andhra Pradesh", "city": "Punganur" },
    { "state": "Andhra Pradesh", "city": "Nidadavole" },
    { "state": "Andhra Pradesh", "city": "Repalle" },
    { "state": "Andhra Pradesh", "city": "Ramachandrapuram" },
    { "state": "Andhra Pradesh", "city": "Kovvur" },
    { "state": "Andhra Pradesh", "city": "Tiruvuru" },
    { "state": "Andhra Pradesh", "city": "Uravakonda" },
    { "state": "Andhra Pradesh", "city": "Narsipatnam" },
    { "state": "Andhra Pradesh", "city": "Yerraguntla" },
    { "state": "Andhra Pradesh", "city": "Pedana" },
    { "state": "Andhra Pradesh", "city": "Puttur" },
    { "state": "Andhra Pradesh", "city": "Renigunta" },
    { "state": "Andhra Pradesh", "city": "Rajam" },
    { "state": "Andhra Pradesh", "city": "Srisailam Project (Right Flank Colony) Township" },
    { "state": "Arunachal Pradesh", "city": "Naharlagun" },
    { "state": "Arunachal Pradesh", "city": "Pasighat" },
    { "state": "Assam", "city": "Guwahati" },
    { "state": "Assam", "city": "Silchar" },
    { "state": "Assam", "city": "Dibrugarh" },
    { "state": "Assam", "city": "Nagaon" },
    { "state": "Assam", "city": "Tinsukia" },
    { "state": "Assam", "city": "Jorhat" },
    { "state": "Assam", "city": "Bongaigaon City" },
    { "state": "Assam", "city": "Dhubri" },
    { "state": "Assam", "city": "Diphu" },
    { "state": "Assam", "city": "North Lakhimpur" },
    { "state": "Assam", "city": "Tezpur" },
    { "state": "Assam", "city": "Karimganj" },
    { "state": "Assam", "city": "Sibsagar" },
    { "state": "Assam", "city": "Goalpara" },
    { "state": "Assam", "city": "Barpeta" },
    { "state": "Assam", "city": "Lanka" },
    { "state": "Assam", "city": "Lumding" },
    { "state": "Assam", "city": "Mankachar" },
    { "state": "Assam", "city": "Nalbari" },
    { "state": "Assam", "city": "Rangia" },
    { "state": "Assam", "city": "Margherita" },
    { "state": "Assam", "city": "Mangaldoi" },
    { "state": "Assam", "city": "Silapathar" },
    { "state": "Assam", "city": "Mariani" },
    { "state": "Assam", "city": "Marigaon" },
    { "state": "Bihar", "city": "Patna" },
    { "state": "Bihar", "city": "Gaya" },
    { "state": "Bihar", "city": "Bhagalpur" },
    { "state": "Bihar", "city": "Muzaffarpur" },
    { "state": "Bihar", "city": "Darbhanga" },
    { "state": "Bihar", "city": "Arrah" },
    { "state": "Bihar", "city": "Begusarai" },
    { "state": "Bihar", "city": "Chhapra" },
    { "state": "Bihar", "city": "Katihar" },
    { "state": "Bihar", "city": "Munger" },
    { "state": "Bihar", "city": "Purnia" },
    { "state": "Bihar", "city": "Saharsa" },
    { "state": "Bihar", "city": "Sasaram" },
    { "state": "Bihar", "city": "Hajipur" },
    { "state": "Bihar", "city": "Dehri-on-Sone" },
    { "state": "Bihar", "city": "Bettiah" },
    { "state": "Bihar", "city": "Motihari" },
    { "state": "Bihar", "city": "Bagaha" },
    { "state": "Bihar", "city": "Siwan" },
    { "state": "Bihar", "city": "Kishanganj" },
    { "state": "Bihar", "city": "Jamalpur" },
    { "state": "Bihar", "city": "Buxar" },
    { "state": "Bihar", "city": "Jehanabad" },
    { "state": "Bihar", "city": "Aurangabad" },
    { "state": "Bihar", "city": "Lakhisarai" },
    { "state": "Bihar", "city": "Nawada" },
    { "state": "Bihar", "city": "Jamui" },
    { "state": "Bihar", "city": "Sitamarhi" },
    { "state": "Bihar", "city": "Araria" },
    { "state": "Bihar", "city": "Gopalganj" },
    { "state": "Bihar", "city": "Madhubani" },
    { "state": "Bihar", "city": "Masaurhi" },
    { "state": "Bihar", "city": "Samastipur" },
    { "state": "Bihar", "city": "Mokameh" },
    { "state": "Bihar", "city": "Supaul" },
    { "state": "Bihar", "city": "Dumraon" },
    { "state": "Bihar", "city": "Arwal" },
    { "state": "Bihar", "city": "Forbesganj" },
    { "state": "Bihar", "city": "BhabUrban Agglomeration" },
    { "state": "Bihar", "city": "Narkatiaganj" },
    { "state": "Bihar", "city": "Naugachhia" },
    { "state": "Bihar", "city": "Madhepura" },
    { "state": "Bihar", "city": "Sheikhpura" },
    { "state": "Bihar", "city": "Sultanganj" },
    { "state": "Bihar", "city": "Raxaul Bazar" },
    { "state": "Bihar", "city": "Ramnagar" },
    { "state": "Bihar", "city": "Mahnar Bazar" },
    { "state": "Bihar", "city": "Warisaliganj" },
    { "state": "Bihar", "city": "Revelganj" },
    { "state": "Bihar", "city": "Rajgir" },
    { "state": "Bihar", "city": "Sonepur" },
    { "state": "Bihar", "city": "Sherghati" },
    { "state": "Bihar", "city": "Sugauli" },
    { "state": "Bihar", "city": "Makhdumpur" },
    { "state": "Bihar", "city": "Maner" },
    { "state": "Bihar", "city": "Rosera" },
    { "state": "Bihar", "city": "Nokha" },
    { "state": "Bihar", "city": "Piro" },
    { "state": "Bihar", "city": "Rafiganj" },
    { "state": "Bihar", "city": "Marhaura" },
    { "state": "Bihar", "city": "Mirganj" },
    { "state": "Bihar", "city": "Lalganj" },
    { "state": "Bihar", "city": "Murliganj" },
    { "state": "Bihar", "city": "Motipur" },
    { "state": "Bihar", "city": "Manihari" },
    { "state": "Bihar", "city": "Sheohar" },
    { "state": "Bihar", "city": "Maharajganj" },
    { "state": "Bihar", "city": "Silao" },
    { "state": "Bihar", "city": "Barh" },
    { "state": "Bihar", "city": "Asarganj" },
    { "state": "Chandigarh", "city": "Chandigarh" },
    { "state": "Chhattisgarh", "city": "Raipur" },
    { "state": "Chhattisgarh", "city": "Bhilai Nagar" },
    { "state": "Chhattisgarh", "city": "Korba" },
    { "state": "Chhattisgarh", "city": "Bilaspur" },
    { "state": "Chhattisgarh", "city": "Durg" },
    { "state": "Chhattisgarh", "city": "Rajnandgaon" },
    { "state": "Chhattisgarh", "city": "Jagdalpur" },
    { "state": "Chhattisgarh", "city": "Raigarh" },
    { "state": "Chhattisgarh", "city": "Ambikapur" },
    { "state": "Chhattisgarh", "city": "Mahasamund" },
    { "state": "Chhattisgarh", "city": "Dhamtari" },
    { "state": "Chhattisgarh", "city": "Chirmiri" },
    { "state": "Chhattisgarh", "city": "Bhatapara" },
    { "state": "Chhattisgarh", "city": "Dalli-Rajhara" },
    { "state": "Chhattisgarh", "city": "Naila Janjgir" },
    { "state": "Chhattisgarh", "city": "Tilda Newra" },
    { "state": "Chhattisgarh", "city": "Mungeli" },
    { "state": "Chhattisgarh", "city": "Manendragarh" },
    { "state": "Chhattisgarh", "city": "Sakti" },
    { "state": "Dadra and Nagar Haveli", "city": "Silvassa" },
    { "state": "Delhi", "city": "Delhi" },
    { "state": "Delhi", "city": "New Delhi" },
    { "state": "Goa", "city": "Marmagao" },
    { "state": "Goa", "city": "Panaji" },
    { "state": "Goa", "city": "Margao" },
    { "state": "Goa", "city": "Mapusa" },
    { "state": "Gujarat", "city": "Ahmedabad" },
    { "state": "Gujarat", "city": "Surat" },
    { "state": "Gujarat", "city": "Vadodara" },
    { "state": "Gujarat", "city": "Rajkot" },
    { "state": "Gujarat", "city": "Bhavnagar" },
    { "state": "Gujarat", "city": "Jamnagar" },
    { "state": "Gujarat", "city": "Nadiad" },
    { "state": "Gujarat", "city": "Porbandar" },
    { "state": "Gujarat", "city": "Anand" },
    { "state": "Gujarat", "city": "Morvi" },
    { "state": "Gujarat", "city": "Mahesana" },
    { "state": "Gujarat", "city": "Bharuch" },
    { "state": "Gujarat", "city": "Vapi" },
    { "state": "Gujarat", "city": "Navsari" },
    { "state": "Gujarat", "city": "Veraval" },
    { "state": "Gujarat", "city": "Bhuj" },
    { "state": "Gujarat", "city": "Godhra" },
    { "state": "Gujarat", "city": "Palanpur" },
    { "state": "Gujarat", "city": "Valsad" },
    { "state": "Gujarat", "city": "Patan" },
    { "state": "Gujarat", "city": "Deesa" },
    { "state": "Gujarat", "city": "Amreli" },
    { "state": "Gujarat", "city": "Anjar" },
    { "state": "Gujarat", "city": "Dhoraji" },
    { "state": "Gujarat", "city": "Khambhat" },
    { "state": "Gujarat", "city": "Mahuva" },
    { "state": "Gujarat", "city": "Keshod" },
    { "state": "Gujarat", "city": "Wadhwan" },
    { "state": "Gujarat", "city": "Ankleshwar" },
    { "state": "Gujarat", "city": "Savarkundla" },
    { "state": "Gujarat", "city": "Kadi" },
    { "state": "Gujarat", "city": "Visnagar" },
    { "state": "Gujarat", "city": "Upleta" },
    { "state": "Gujarat", "city": "Una" },
    { "state": "Gujarat", "city": "Sidhpur" },
    { "state": "Gujarat", "city": "Unjha" },
    { "state": "Gujarat", "city": "Mangrol" },
    { "state": "Gujarat", "city": "Viramgam" },
    { "state": "Gujarat", "city": "Modasa" },
    { "state": "Gujarat", "city": "Palitana" },
    { "state": "Gujarat", "city": "Petlad" },
    { "state": "Gujarat", "city": "Kapadvanj" },
    { "state": "Gujarat", "city": "Sihor" },
    { "state": "Gujarat", "city": "Wankaner" },
    { "state": "Gujarat", "city": "Limbdi" },
    { "state": "Gujarat", "city": "Mandvi" },
    { "state": "Gujarat", "city": "Thangadh" },
    { "state": "Gujarat", "city": "Vyara" },
    { "state": "Gujarat", "city": "Padra" },
    { "state": "Gujarat", "city": "Lunawada" },
    { "state": "Gujarat", "city": "Rajpipla" },
    { "state": "Gujarat", "city": "Vapi" },
    { "state": "Gujarat", "city": "Umreth" },
    { "state": "Gujarat", "city": "Sanand" },
    { "state": "Gujarat", "city": "Rajula" },
    { "state": "Gujarat", "city": "Radhanpur" },
    { "state": "Gujarat", "city": "Mahemdabad" },
    { "state": "Gujarat", "city": "Ranavav" },
    { "state": "Gujarat", "city": "Tharad" },
    { "state": "Gujarat", "city": "Mansa" },
    { "state": "Gujarat", "city": "Umbergaon" },
    { "state": "Gujarat", "city": "Talaja" },
    { "state": "Gujarat", "city": "Vadnagar" },
    { "state": "Gujarat", "city": "Manavadar" },
    { "state": "Gujarat", "city": "Salaya" },
    { "state": "Gujarat", "city": "Vijapur" },
    { "state": "Gujarat", "city": "Pardi" },
    { "state": "Gujarat", "city": "Rapar" },
    { "state": "Gujarat", "city": "Songadh" },
    { "state": "Gujarat", "city": "Lathi" },
    { "state": "Gujarat", "city": "Adalaj" },
    { "state": "Gujarat", "city": "Chhapra" },
    { "state": "Haryana", "city": "Faridabad" },
    { "state": "Haryana", "city": "Gurgaon" },
    { "state": "Haryana", "city": "Hisar" },
    { "state": "Haryana", "city": "Rohtak" },
    { "state": "Haryana", "city": "Panipat" },
    { "state": "Haryana", "city": "Karnal" },
    { "state": "Haryana", "city": "Sonipat" },
    { "state": "Haryana", "city": "Yamunanagar" },
    { "state": "Haryana", "city": "Panchkula" },
    { "state": "Haryana", "city": "Bhiwani" },
    { "state": "Haryana", "city": "Bahadurgarh" },
    { "state": "Haryana", "city": "Jind" },
    { "state": "Haryana", "city": "Sirsa" },
    { "state": "Haryana", "city": "Thanesar" },
    { "state": "Haryana", "city": "Kaithal" },
    { "state": "Haryana", "city": "Palwal" },
    { "state": "Haryana", "city": "Rewari" },
    { "state": "Haryana", "city": "Hansi" },
    { "state": "Haryana", "city": "Narnaul" },
    { "state": "Haryana", "city": "Fatehabad" },
    { "state": "Haryana", "city": "Gohana" },
    { "state": "Haryana", "city": "Tohana" },
    { "state": "Haryana", "city": "Narwana" },
    { "state": "Haryana", "city": "Mandi Dabwali" },
    { "state": "Haryana", "city": "Charkhi Dadri" },
    { "state": "Haryana", "city": "Shahbad" },
    { "state": "Haryana", "city": "Pehowa" },
    { "state": "Haryana", "city": "Samalkha" },
    { "state": "Haryana", "city": "Pinjore" },
    { "state": "Haryana", "city": "Ladwa" },
    { "state": "Haryana", "city": "Sohna" },
    { "state": "Haryana", "city": "Safidon" },
    { "state": "Haryana", "city": "Taraori" },
    { "state": "Haryana", "city": "Mahendragarh" },
    { "state": "Haryana", "city": "Ratia" },
    { "state": "Haryana", "city": "Rania" },
    { "state": "Haryana", "city": "Sarsod" },
    { "state": "Himachal Pradesh", "city": "Shimla" },
    { "state": "Himachal Pradesh", "city": "Mandi" },
    { "state": "Himachal Pradesh", "city": "Solan" },
    { "state": "Himachal Pradesh", "city": "Nahan" },
    { "state": "Himachal Pradesh", "city": "Sundarnagar" },
    { "state": "Himachal Pradesh", "city": "Palampur" },
    { "state": "Jammu and Kashmir", "city": "Srinagar" },
    { "state": "Jammu and Kashmir", "city": "Jammu" },
    { "state": "Jammu and Kashmir", "city": "Baramula" },
    { "state": "Jammu and Kashmir", "city": "Anantnag" },
    { "state": "Jammu and Kashmir", "city": "Sopore" },
    { "state": "Jammu and Kashmir", "city": "KathUrban Agglomeration" },
    { "state": "Jammu and Kashmir", "city": "Rajauri" },
    { "state": "Jammu and Kashmir", "city": "Punch" },
    { "state": "Jammu and Kashmir", "city": "Udhampur" },
    { "state": "Jharkhand", "city": "Dhanbad" },
    { "state": "Jharkhand", "city": "Ranchi" },
    { "state": "Jharkhand", "city": "Jamshedpur" },
    { "state": "Jharkhand", "city": "Bokaro Steel City" },
    { "state": "Jharkhand", "city": "Deoghar" },
    { "state": "Jharkhand", "city": "Phusro" },
    { "state": "Jharkhand", "city": "Adityapur" },
    { "state": "Jharkhand", "city": "Hazaribag" },
    { "state": "Jharkhand", "city": "Giridih" },
    { "state": "Jharkhand", "city": "Ramgarh" },
    { "state": "Jharkhand", "city": "Jhumri Tilaiya" },
    { "state": "Jharkhand", "city": "Saunda" },
    { "state": "Jharkhand", "city": "Sahibganj" },
    { "state": "Jharkhand", "city": "Medininagar (Daltonganj)" },
    { "state": "Jharkhand", "city": "Chaibasa" },
    { "state": "Jharkhand", "city": "Chatra" },
    { "state": "Jharkhand", "city": "Gumia" },
    { "state": "Jharkhand", "city": "Dumka" },
    { "state": "Jharkhand", "city": "Madhupur" },
    { "state": "Jharkhand", "city": "Chirkunda" },
    { "state": "Jharkhand", "city": "Pakaur" },
    { "state": "Jharkhand", "city": "Simdega" },
    { "state": "Jharkhand", "city": "Musabani" },
    { "state": "Jharkhand", "city": "Mihijam" },
    { "state": "Jharkhand", "city": "Patratu" },
    { "state": "Jharkhand", "city": "Lohardaga" },
    { "state": "Jharkhand", "city": "Tenu dam-cum-Kathhara" },
    { "state": "Karnataka", "city": "Bengaluru" },
    { "state": "Karnataka", "city": "Hubli-Dharwad" },
    { "state": "Karnataka", "city": "Belagavi" },
    { "state": "Karnataka", "city": "Mangaluru" },
    { "state": "Karnataka", "city": "Davanagere" },
    { "state": "Karnataka", "city": "Ballari" },
    { "state": "Karnataka", "city": "Tumkur" },
    { "state": "Karnataka", "city": "Shivamogga" },
    { "state": "Karnataka", "city": "Raayachuru" },
    { "state": "Karnataka", "city": "Robertson Pet" },
    { "state": "Karnataka", "city": "Kolar" },
    { "state": "Karnataka", "city": "Mandya" },
    { "state": "Karnataka", "city": "Udupi" },
    { "state": "Karnataka", "city": "Chikkamagaluru" },
    { "state": "Karnataka", "city": "Karwar" },
    { "state": "Karnataka", "city": "Ranebennuru" },
    { "state": "Karnataka", "city": "Ranibennur" },
    { "state": "Karnataka", "city": "Ramanagaram" },
    { "state": "Karnataka", "city": "Gokak" },
    { "state": "Karnataka", "city": "Yadgir" },
    { "state": "Karnataka", "city": "Rabkavi Banhatti" },
    { "state": "Karnataka", "city": "Shahabad" },
    { "state": "Karnataka", "city": "Sirsi" },
    { "state": "Karnataka", "city": "Sindhnur" },
    { "state": "Karnataka", "city": "Tiptur" },
    { "state": "Karnataka", "city": "Arsikere" },
    { "state": "Karnataka", "city": "Nanjangud" },
    { "state": "Karnataka", "city": "Sagara" },
    { "state": "Karnataka", "city": "Sira" },
    { "state": "Karnataka", "city": "Puttur" },
    { "state": "Karnataka", "city": "Athni" },
    { "state": "Karnataka", "city": "Mulbagal" },
    { "state": "Karnataka", "city": "Surapura" },
    { "state": "Karnataka", "city": "Siruguppa" },
    { "state": "Karnataka", "city": "Mudhol" },
    { "state": "Karnataka", "city": "Sidlaghatta" },
    { "state": "Karnataka", "city": "Shahpur" },
    { "state": "Karnataka", "city": "Saundatti-Yellamma" },
    { "state": "Karnataka", "city": "Wadi" },
    { "state": "Karnataka", "city": "Manvi" },
    { "state": "Karnataka", "city": "Nelamangala" },
    { "state": "Karnataka", "city": "Lakshmeshwar" },
    { "state": "Karnataka", "city": "Ramdurg" },
    { "state": "Karnataka", "city": "Nargund" },
    { "state": "Karnataka", "city": "Tarikere" },
    { "state": "Karnataka", "city": "Malavalli" },
    { "state": "Karnataka", "city": "Savanur" },
    { "state": "Karnataka", "city": "Lingsugur" },
    { "state": "Karnataka", "city": "Vijayapura" },
    { "state": "Karnataka", "city": "Sankeshwara" },
    { "state": "Karnataka", "city": "Madikeri" },
    { "state": "Karnataka", "city": "Talikota" },
    { "state": "Karnataka", "city": "Sedam" },
    { "state": "Karnataka", "city": "Shikaripur" },
    { "state": "Karnataka", "city": "Mahalingapura" },
    { "state": "Karnataka", "city": "Mudalagi" },
    { "state": "Karnataka", "city": "Muddebihal" },
    { "state": "Karnataka", "city": "Pavagada" },
    { "state": "Karnataka", "city": "Malur" },
    { "state": "Karnataka", "city": "Sindhagi" },
    { "state": "Karnataka", "city": "Sanduru" },
    { "state": "Karnataka", "city": "Afzalpur" },
    { "state": "Karnataka", "city": "Maddur" },
    { "state": "Karnataka", "city": "Madhugiri" },
    { "state": "Karnataka", "city": "Tekkalakote" },
    { "state": "Karnataka", "city": "Terdal" },
    { "state": "Karnataka", "city": "Mudabidri" },
    { "state": "Karnataka", "city": "Magadi" },
    { "state": "Karnataka", "city": "Navalgund" },
    { "state": "Karnataka", "city": "Shiggaon" },
    { "state": "Karnataka", "city": "Shrirangapattana" },
    { "state": "Karnataka", "city": "Sindagi" },
    { "state": "Karnataka", "city": "Sakaleshapura" },
    { "state": "Karnataka", "city": "Srinivaspur" },
    { "state": "Karnataka", "city": "Ron" },
    { "state": "Karnataka", "city": "Mundargi" },
    { "state": "Karnataka", "city": "Sadalagi" },
    { "state": "Karnataka", "city": "Piriyapatna" },
    { "state": "Karnataka", "city": "Adyar" },
    { "state": "Karnatka", "city": "Mysore" },
    { "state": "Kerala", "city": "Thiruvananthapuram" },
    { "state": "Kerala", "city": "Kochi" },
    { "state": "Kerala", "city": "Kozhikode" },
    { "state": "Kerala", "city": "Kollam" },
    { "state": "Kerala", "city": "Thrissur" },
    { "state": "Kerala", "city": "Palakkad" },
    { "state": "Kerala", "city": "Alappuzha" },
    { "state": "Kerala", "city": "Malappuram" },
    { "state": "Kerala", "city": "Ponnani" },
    { "state": "Kerala", "city": "Vatakara" },
    { "state": "Kerala", "city": "Kanhangad" },
    { "state": "Kerala", "city": "Taliparamba" },
    { "state": "Kerala", "city": "Koyilandy" },
    { "state": "Kerala", "city": "Neyyattinkara" },
    { "state": "Kerala", "city": "Kayamkulam" },
    { "state": "Kerala", "city": "Nedumangad" },
    { "state": "Kerala", "city": "Kannur" },
    { "state": "Kerala", "city": "Tirur" },
    { "state": "Kerala", "city": "Kottayam" },
    { "state": "Kerala", "city": "Kasaragod" },
    { "state": "Kerala", "city": "Kunnamkulam" },
    { "state": "Kerala", "city": "Ottappalam" },
    { "state": "Kerala", "city": "Thiruvalla" },
    { "state": "Kerala", "city": "Thodupuzha" },
    { "state": "Kerala", "city": "Chalakudy" },
    { "state": "Kerala", "city": "Changanassery" },
    { "state": "Kerala", "city": "Punalur" },
    { "state": "Kerala", "city": "Nilambur" },
    { "state": "Kerala", "city": "Cherthala" },
    { "state": "Kerala", "city": "Perinthalmanna" },
    { "state": "Kerala", "city": "Mattannur" },
    { "state": "Kerala", "city": "Shoranur" },
    { "state": "Kerala", "city": "Varkala" },
    { "state": "Kerala", "city": "Paravoor" },
    { "state": "Kerala", "city": "Pathanamthitta" },
    { "state": "Kerala", "city": "Peringathur" },
    { "state": "Kerala", "city": "Attingal" },
    { "state": "Kerala", "city": "Kodungallur" },
    { "state": "Kerala", "city": "Pappinisseri" },
    { "state": "Kerala", "city": "Chittur-Thathamangalam" },
    { "state": "Kerala", "city": "Muvattupuzha" },
    { "state": "Kerala", "city": "Adoor" },
    { "state": "Kerala", "city": "Mavelikkara" },
    { "state": "Kerala", "city": "Mavoor" },
    { "state": "Kerala", "city": "Perumbavoor" },
    { "state": "Kerala", "city": "Vaikom" },
    { "state": "Kerala", "city": "Palai" },
    { "state": "Kerala", "city": "Panniyannur" },
    { "state": "Kerala", "city": "Guruvayoor" },
    { "state": "Kerala", "city": "Puthuppally" },
    { "state": "Kerala", "city": "Panamattom" },
    { "state": "Madhya Pradesh", "city": "Indore" },
    { "state": "Madhya Pradesh", "city": "Bhopal" },
    { "state": "Madhya Pradesh", "city": "Jabalpur" },
    { "state": "Madhya Pradesh", "city": "Gwalior" },
    { "state": "Madhya Pradesh", "city": "Ujjain" },
    { "state": "Madhya Pradesh", "city": "Sagar" },
    { "state": "Madhya Pradesh", "city": "Ratlam" },
    { "state": "Madhya Pradesh", "city": "Satna" },
    { "state": "Madhya Pradesh", "city": "Murwara (Katni)" },
    { "state": "Madhya Pradesh", "city": "Morena" },
    { "state": "Madhya Pradesh", "city": "Singrauli" },
    { "state": "Madhya Pradesh", "city": "Rewa" },
    { "state": "Madhya Pradesh", "city": "Vidisha" },
    { "state": "Madhya Pradesh", "city": "Ganjbasoda" },
    { "state": "Madhya Pradesh", "city": "Shivpuri" },
    { "state": "Madhya Pradesh", "city": "Mandsaur" },
    { "state": "Madhya Pradesh", "city": "Neemuch" },
    { "state": "Madhya Pradesh", "city": "Nagda" },
    { "state": "Madhya Pradesh", "city": "Itarsi" },
    { "state": "Madhya Pradesh", "city": "Sarni" },
    { "state": "Madhya Pradesh", "city": "Sehore" },
    { "state": "Madhya Pradesh", "city": "Mhow Cantonment" },
    { "state": "Madhya Pradesh", "city": "Seoni" },
    { "state": "Madhya Pradesh", "city": "Balaghat" },
    { "state": "Madhya Pradesh", "city": "Ashok Nagar" },
    { "state": "Madhya Pradesh", "city": "Tikamgarh" },
    { "state": "Madhya Pradesh", "city": "Shahdol" },
    { "state": "Madhya Pradesh", "city": "Pithampur" },
    { "state": "Madhya Pradesh", "city": "Alirajpur" },
    { "state": "Madhya Pradesh", "city": "Mandla" },
    { "state": "Madhya Pradesh", "city": "Sheopur" },
    { "state": "Madhya Pradesh", "city": "Shajapur" },
    { "state": "Madhya Pradesh", "city": "Panna" },
    { "state": "Madhya Pradesh", "city": "Raghogarh-Vijaypur" },
    { "state": "Madhya Pradesh", "city": "Sendhwa" },
    { "state": "Madhya Pradesh", "city": "Sidhi" },
    { "state": "Madhya Pradesh", "city": "Pipariya" },
    { "state": "Madhya Pradesh", "city": "Shujalpur" },
    { "state": "Madhya Pradesh", "city": "Sironj" },
    { "state": "Madhya Pradesh", "city": "Pandhurna" },
    { "state": "Madhya Pradesh", "city": "Nowgong" },
    { "state": "Madhya Pradesh", "city": "Mandideep" },
    { "state": "Madhya Pradesh", "city": "Sihora" },
    { "state": "Madhya Pradesh", "city": "Raisen" },
    { "state": "Madhya Pradesh", "city": "Lahar" },
    { "state": "Madhya Pradesh", "city": "Maihar" },
    { "state": "Madhya Pradesh", "city": "Sanawad" },
    { "state": "Madhya Pradesh", "city": "Sabalgarh" },
    { "state": "Madhya Pradesh", "city": "Umaria" },
    { "state": "Madhya Pradesh", "city": "Porsa" },
    { "state": "Madhya Pradesh", "city": "Narsinghgarh" },
    { "state": "Madhya Pradesh", "city": "Malaj Khand" },
    { "state": "Madhya Pradesh", "city": "Sarangpur" },
    { "state": "Madhya Pradesh", "city": "Mundi" },
    { "state": "Madhya Pradesh", "city": "Nepanagar" },
    { "state": "Madhya Pradesh", "city": "Pasan" },
    { "state": "Madhya Pradesh", "city": "Mahidpur" },
    { "state": "Madhya Pradesh", "city": "Seoni-Malwa" },
    { "state": "Madhya Pradesh", "city": "Rehli" },
    { "state": "Madhya Pradesh", "city": "Manawar" },
    { "state": "Madhya Pradesh", "city": "Rahatgarh" },
    { "state": "Madhya Pradesh", "city": "Panagar" },
    { "state": "Madhya Pradesh", "city": "Wara Seoni" },
    { "state": "Madhya Pradesh", "city": "Tarana" },
    { "state": "Madhya Pradesh", "city": "Sausar" },
    { "state": "Madhya Pradesh", "city": "Rajgarh" },
    { "state": "Madhya Pradesh", "city": "Niwari" },
    { "state": "Madhya Pradesh", "city": "Mauganj" },
    { "state": "Madhya Pradesh", "city": "Manasa" },
    { "state": "Madhya Pradesh", "city": "Nainpur" },
    { "state": "Madhya Pradesh", "city": "Prithvipur" },
    { "state": "Madhya Pradesh", "city": "Sohagpur" },
    { "state": "Madhya Pradesh", "city": "Nowrozabad (Khodargama)" },
    { "state": "Madhya Pradesh", "city": "Shamgarh" },
    { "state": "Madhya Pradesh", "city": "Maharajpur" },
    { "state": "Madhya Pradesh", "city": "Multai" },
    { "state": "Madhya Pradesh", "city": "Pali" },
    { "state": "Madhya Pradesh", "city": "Pachore" },
    { "state": "Madhya Pradesh", "city": "Rau" },
    { "state": "Madhya Pradesh", "city": "Mhowgaon" },
    { "state": "Madhya Pradesh", "city": "Vijaypur" },
    { "state": "Madhya Pradesh", "city": "Narsinghgarh" },
    { "state": "Maharashtra", "city": "Mumbai" },
    { "state": "Maharashtra", "city": "Pune" },
    { "state": "Maharashtra", "city": "Nagpur" },
    { "state": "Maharashtra", "city": "Thane" },
    { "state": "Maharashtra", "city": "Nashik" },
    { "state": "Maharashtra", "city": "Kalyan-Dombivali" },
    { "state": "Maharashtra", "city": "Vasai-Virar" },
    { "state": "Maharashtra", "city": "Solapur" },
    { "state": "Maharashtra", "city": "Mira-Bhayandar" },
    { "state": "Maharashtra", "city": "Bhiwandi" },
    { "state": "Maharashtra", "city": "Amravati" },
    { "state": "Maharashtra", "city": "Nanded-Waghala" },
    { "state": "Maharashtra", "city": "Sangli" },
    { "state": "Maharashtra", "city": "Malegaon" },
    { "state": "Maharashtra", "city": "Akola" },
    { "state": "Maharashtra", "city": "Latur" },
    { "state": "Maharashtra", "city": "Dhule" },
    { "state": "Maharashtra", "city": "Ahmednagar" },
    { "state": "Maharashtra", "city": "Ichalkaranji" },
    { "state": "Maharashtra", "city": "Parbhani" },
    { "state": "Maharashtra", "city": "Panvel" },
    { "state": "Maharashtra", "city": "Yavatmal" },
    { "state": "Maharashtra", "city": "Achalpur" },
    { "state": "Maharashtra", "city": "Osmanabad" },
    { "state": "Maharashtra", "city": "Nandurbar" },
    { "state": "Maharashtra", "city": "Satara" },
    { "state": "Maharashtra", "city": "Wardha" },
    { "state": "Maharashtra", "city": "Udgir" },
    { "state": "Maharashtra", "city": "Aurangabad" },
    { "state": "Maharashtra", "city": "Amalner" },
    { "state": "Maharashtra", "city": "Akot" },
    { "state": "Maharashtra", "city": "Pandharpur" },
    { "state": "Maharashtra", "city": "Shrirampur" },
    { "state": "Maharashtra", "city": "Parli" },
    { "state": "Maharashtra", "city": "Washim" },
    { "state": "Maharashtra", "city": "Ambejogai" },
    { "state": "Maharashtra", "city": "Manmad" },
    { "state": "Maharashtra", "city": "Ratnagiri" },
    { "state": "Maharashtra", "city": "Uran Islampur" },
    { "state": "Maharashtra", "city": "Pusad" },
    { "state": "Maharashtra", "city": "Sangamner" },
    { "state": "Maharashtra", "city": "Shirpur-Warwade" },
    { "state": "Maharashtra", "city": "Malkapur" },
    { "state": "Maharashtra", "city": "Wani" },
    { "state": "Maharashtra", "city": "Lonavla" },
    { "state": "Maharashtra", "city": "Talegaon Dabhade" },
    { "state": "Maharashtra", "city": "Anjangaon" },
    { "state": "Maharashtra", "city": "Umred" },
    { "state": "Maharashtra", "city": "Palghar" },
    { "state": "Maharashtra", "city": "Shegaon" },
    { "state": "Maharashtra", "city": "Ozar" },
    { "state": "Maharashtra", "city": "Phaltan" },
    { "state": "Maharashtra", "city": "Yevla" },
    { "state": "Maharashtra", "city": "Shahade" },
    { "state": "Maharashtra", "city": "Vita" },
    { "state": "Maharashtra", "city": "Umarkhed" },
    { "state": "Maharashtra", "city": "Warora" },
    { "state": "Maharashtra", "city": "Pachora" },
    { "state": "Maharashtra", "city": "Tumsar" },
    { "state": "Maharashtra", "city": "Manjlegaon" },
    { "state": "Maharashtra", "city": "Sillod" },
    { "state": "Maharashtra", "city": "Arvi" },
    { "state": "Maharashtra", "city": "Nandura" },
    { "state": "Maharashtra", "city": "Vaijapur" },
    { "state": "Maharashtra", "city": "Wadgaon Road" },
    { "state": "Maharashtra", "city": "Sailu" },
    { "state": "Maharashtra", "city": "Murtijapur" },
    { "state": "Maharashtra", "city": "Tasgaon" },
    { "state": "Maharashtra", "city": "Mehkar" },
    { "state": "Maharashtra", "city": "Yawal" },
    { "state": "Maharashtra", "city": "Pulgaon" },
    { "state": "Maharashtra", "city": "Nilanga" },
    { "state": "Maharashtra", "city": "Wai" },
    { "state": "Maharashtra", "city": "Umarga" },
    { "state": "Maharashtra", "city": "Paithan" },
    { "state": "Maharashtra", "city": "Rahuri" },
    { "state": "Maharashtra", "city": "Nawapur" },
    { "state": "Maharashtra", "city": "Tuljapur" },
    { "state": "Maharashtra", "city": "Morshi" },
    { "state": "Maharashtra", "city": "Purna" },
    { "state": "Maharashtra", "city": "Satana" },
    { "state": "Maharashtra", "city": "Pathri" },
    { "state": "Maharashtra", "city": "Sinnar" },
    { "state": "Maharashtra", "city": "Uchgaon" },
    { "state": "Maharashtra", "city": "Uran" },
    { "state": "Maharashtra", "city": "Pen" },
    { "state": "Maharashtra", "city": "Karjat" },
    { "state": "Maharashtra", "city": "Manwath" },
    { "state": "Maharashtra", "city": "Partur" },
    { "state": "Maharashtra", "city": "Sangole" },
    { "state": "Maharashtra", "city": "Mangrulpir" },
    { "state": "Maharashtra", "city": "Risod" },
    { "state": "Maharashtra", "city": "Shirur" },
    { "state": "Maharashtra", "city": "Savner" },
    { "state": "Maharashtra", "city": "Sasvad" },
    { "state": "Maharashtra", "city": "Pandharkaoda" },
    { "state": "Maharashtra", "city": "Talode" },
    { "state": "Maharashtra", "city": "Shrigonda" },
    { "state": "Maharashtra", "city": "Shirdi" },
    { "state": "Maharashtra", "city": "Raver" },
    { "state": "Maharashtra", "city": "Mukhed" },
    { "state": "Maharashtra", "city": "Rajura" },
    { "state": "Maharashtra", "city": "Vadgaon Kasba" },
    { "state": "Maharashtra", "city": "Tirora" },
    { "state": "Maharashtra", "city": "Mahad" },
    { "state": "Maharashtra", "city": "Lonar" },
    { "state": "Maharashtra", "city": "Sawantwadi" },
    { "state": "Maharashtra", "city": "Pathardi" },
    { "state": "Maharashtra", "city": "Pauni" },
    { "state": "Maharashtra", "city": "Ramtek" },
    { "state": "Maharashtra", "city": "Mul" },
    { "state": "Maharashtra", "city": "Soyagaon" },
    { "state": "Maharashtra", "city": "Mangalvedhe" },
    { "state": "Maharashtra", "city": "Narkhed" },
    { "state": "Maharashtra", "city": "Shendurjana" },
    { "state": "Maharashtra", "city": "Patur" },
    { "state": "Maharashtra", "city": "Mhaswad" },
    { "state": "Maharashtra", "city": "Loha" },
    { "state": "Maharashtra", "city": "Nandgaon" },
    { "state": "Maharashtra", "city": "Warud" },
    { "state": "Manipur", "city": "Imphal" },
    { "state": "Manipur", "city": "Thoubal" },
    { "state": "Manipur", "city": "Lilong" },
    { "state": "Manipur", "city": "Mayang Imphal" },
    { "state": "Meghalaya", "city": "Shillong" },
    { "state": "Meghalaya", "city": "Tura" },
    { "state": "Meghalaya", "city": "Nongstoin" },
    { "state": "Mizoram", "city": "Aizawl" },
    { "state": "Mizoram", "city": "Lunglei" },
    { "state": "Mizoram", "city": "Saiha" },
    { "state": "Nagaland", "city": "Dimapur" },
    { "state": "Nagaland", "city": "Kohima" },
    { "state": "Nagaland", "city": "Zunheboto" },
    { "state": "Nagaland", "city": "Tuensang" },
    { "state": "Nagaland", "city": "Wokha" },
    { "state": "Nagaland", "city": "Mokokchung" },
    { "state": "Odisha", "city": "Bhubaneswar" },
    { "state": "Odisha", "city": "Cuttack" },
    { "state": "Odisha", "city": "Raurkela" },
    { "state": "Odisha", "city": "Brahmapur" },
    { "state": "Odisha", "city": "Sambalpur" },
    { "state": "Odisha", "city": "Puri" },
    { "state": "Odisha", "city": "Baleshwar Town" },
    { "state": "Odisha", "city": "Baripada Town" },
    { "state": "Odisha", "city": "Bhadrak" },
    { "state": "Odisha", "city": "Balangir" },
    { "state": "Odisha", "city": "Jharsuguda" },
    { "state": "Odisha", "city": "Bargarh" },
    { "state": "Odisha", "city": "Paradip" },
    { "state": "Odisha", "city": "Bhawanipatna" },
    { "state": "Odisha", "city": "Dhenkanal" },
    { "state": "Odisha", "city": "Barbil" },
    { "state": "Odisha", "city": "Kendujhar" },
    { "state": "Odisha", "city": "Sunabeda" },
    { "state": "Odisha", "city": "Rayagada" },
    { "state": "Odisha", "city": "Jatani" },
    { "state": "Odisha", "city": "Byasanagar" },
    { "state": "Odisha", "city": "Kendrapara" },
    { "state": "Odisha", "city": "Rajagangapur" },
    { "state": "Odisha", "city": "Parlakhemundi" },
    { "state": "Odisha", "city": "Talcher" },
    { "state": "Odisha", "city": "Sundargarh" },
    { "state": "Odisha", "city": "Phulabani" },
    { "state": "Odisha", "city": "Pattamundai" },
    { "state": "Odisha", "city": "Titlagarh" },
    { "state": "Odisha", "city": "Nabarangapur" },
    { "state": "Odisha", "city": "Soro" },
    { "state": "Odisha", "city": "Malkangiri" },
    { "state": "Odisha", "city": "Rairangpur" },
    { "state": "Odisha", "city": "Tarbha" },
    { "state": "Puducherry", "city": "Pondicherry" },
    { "state": "Puducherry", "city": "Karaikal" },
    { "state": "Puducherry", "city": "Yanam" },
    { "state": "Puducherry", "city": "Mahe" },
    { "state": "Punjab", "city": "Ludhiana" },
    { "state": "Punjab", "city": "Patiala" },
    { "state": "Punjab", "city": "Amritsar" },
    { "state": "Punjab", "city": "Jalandhar" },
    { "state": "Punjab", "city": "Bathinda" },
    { "state": "Punjab", "city": "Pathankot" },
    { "state": "Punjab", "city": "Hoshiarpur" },
    { "state": "Punjab", "city": "Batala" },
    { "state": "Punjab", "city": "Moga" },
    { "state": "Punjab", "city": "Malerkotla" },
    { "state": "Punjab", "city": "Khanna" },
    { "state": "Punjab", "city": "Mohali" },
    { "state": "Punjab", "city": "Barnala" },
    { "state": "Punjab", "city": "Firozpur" },
    { "state": "Punjab", "city": "Phagwara" },
    { "state": "Punjab", "city": "Kapurthala" },
    { "state": "Punjab", "city": "Zirakpur" },
    { "state": "Punjab", "city": "Kot Kapura" },
    { "state": "Punjab", "city": "Faridkot" },
    { "state": "Punjab", "city": "Muktsar" },
    { "state": "Punjab", "city": "Rajpura" },
    { "state": "Punjab", "city": "Sangrur" },
    { "state": "Punjab", "city": "Fazilka" },
    { "state": "Punjab", "city": "Gurdaspur" },
    { "state": "Punjab", "city": "Kharar" },
    { "state": "Punjab", "city": "Gobindgarh" },
    { "state": "Punjab", "city": "Mansa" },
    { "state": "Punjab", "city": "Malout" },
    { "state": "Punjab", "city": "Nabha" },
    { "state": "Punjab", "city": "Tarn Taran" },
    { "state": "Punjab", "city": "Jagraon" },
    { "state": "Punjab", "city": "Sunam" },
    { "state": "Punjab", "city": "Dhuri" },
    { "state": "Punjab", "city": "Firozpur Cantt." },
    { "state": "Punjab", "city": "Sirhind Fatehgarh Sahib" },
    { "state": "Punjab", "city": "Rupnagar" },
    { "state": "Punjab", "city": "Jalandhar Cantt." },
    { "state": "Punjab", "city": "Samana" },
    { "state": "Punjab", "city": "Nawanshahr" },
    { "state": "Punjab", "city": "Rampura Phul" },
    { "state": "Punjab", "city": "Nangal" },
    { "state": "Punjab", "city": "Nakodar" },
    { "state": "Punjab", "city": "Zira" },
    { "state": "Punjab", "city": "Patti" },
    { "state": "Punjab", "city": "Raikot" },
    { "state": "Punjab", "city": "Longowal" },
    { "state": "Punjab", "city": "Urmar Tanda" },
    { "state": "Punjab", "city": "Morinda" },
    { "state": "Punjab", "city": "Phillaur" },
    { "state": "Punjab", "city": "Pattran" },
    { "state": "Punjab", "city": "Qadian" },
    { "state": "Punjab", "city": "Sujanpur" },
    { "state": "Punjab", "city": "Mukerian" },
    { "state": "Punjab", "city": "Talwara" },
    { "state": "Rajasthan", "city": "Jaipur" },
    { "state": "Rajasthan", "city": "Jodhpur" },
    { "state": "Rajasthan", "city": "Bikaner" },
    { "state": "Rajasthan", "city": "Udaipur" },
    { "state": "Rajasthan", "city": "Ajmer" },
    { "state": "Rajasthan", "city": "Bhilwara" },
    { "state": "Rajasthan", "city": "Alwar" },
    { "state": "Rajasthan", "city": "Bharatpur" },
    { "state": "Rajasthan", "city": "Pali" },
    { "state": "Rajasthan", "city": "Barmer" },
    { "state": "Rajasthan", "city": "Sikar" },
    { "state": "Rajasthan", "city": "Tonk" },
    { "state": "Rajasthan", "city": "Sadulpur" },
    { "state": "Rajasthan", "city": "Sawai Madhopur" },
    { "state": "Rajasthan", "city": "Nagaur" },
    { "state": "Rajasthan", "city": "Makrana" },
    { "state": "Rajasthan", "city": "Sujangarh" },
    { "state": "Rajasthan", "city": "Sardarshahar" },
    { "state": "Rajasthan", "city": "Ladnu" },
    { "state": "Rajasthan", "city": "Ratangarh" },
    { "state": "Rajasthan", "city": "Nokha" },
    { "state": "Rajasthan", "city": "Nimbahera" },
    { "state": "Rajasthan", "city": "Suratgarh" },
    { "state": "Rajasthan", "city": "Rajsamand" },
    { "state": "Rajasthan", "city": "Lachhmangarh" },
    { "state": "Rajasthan", "city": "Rajgarh (Churu)" },
    { "state": "Rajasthan", "city": "Nasirabad" },
    { "state": "Rajasthan", "city": "Nohar" },
    { "state": "Rajasthan", "city": "Phalodi" },
    { "state": "Rajasthan", "city": "Nathdwara" },
    { "state": "Rajasthan", "city": "Pilani" },
    { "state": "Rajasthan", "city": "Merta City" },
    { "state": "Rajasthan", "city": "Sojat" },
    { "state": "Rajasthan", "city": "Neem-Ka-Thana" },
    { "state": "Rajasthan", "city": "Sirohi" },
    { "state": "Rajasthan", "city": "Pratapgarh" },
    { "state": "Rajasthan", "city": "Rawatbhata" },
    { "state": "Rajasthan", "city": "Sangaria" },
    { "state": "Rajasthan", "city": "Lalsot" },
    { "state": "Rajasthan", "city": "Pilibanga" },
    { "state": "Rajasthan", "city": "Pipar City" },
    { "state": "Rajasthan", "city": "Taranagar" },
    { "state": "Rajasthan", "city": "Vijainagar, Ajmer" },
    { "state": "Rajasthan", "city": "Sumerpur" },
    { "state": "Rajasthan", "city": "Sagwara" },
    { "state": "Rajasthan", "city": "Ramganj Mandi" },
    { "state": "Rajasthan", "city": "Lakheri" },
    { "state": "Rajasthan", "city": "Udaipurwati" },
    { "state": "Rajasthan", "city": "Losal" },
    { "state": "Rajasthan", "city": "Sri Madhopur" },
    { "state": "Rajasthan", "city": "Ramngarh" },
    { "state": "Rajasthan", "city": "Rawatsar" },
    { "state": "Rajasthan", "city": "Rajakhera" },
    { "state": "Rajasthan", "city": "Shahpura" },
    { "state": "Rajasthan", "city": "Shahpura" },
    { "state": "Rajasthan", "city": "Raisinghnagar" },
    { "state": "Rajasthan", "city": "Malpura" },
    { "state": "Rajasthan", "city": "Nadbai" },
    { "state": "Rajasthan", "city": "Sanchore" },
    { "state": "Rajasthan", "city": "Nagar" },
    { "state": "Rajasthan", "city": "Rajgarh (Alwar)" },
    { "state": "Rajasthan", "city": "Sheoganj" },
    { "state": "Rajasthan", "city": "Sadri" },
    { "state": "Rajasthan", "city": "Todaraisingh" },
    { "state": "Rajasthan", "city": "Todabhim" },
    { "state": "Rajasthan", "city": "Reengus" },
    { "state": "Rajasthan", "city": "Rajaldesar" },
    { "state": "Rajasthan", "city": "Sadulshahar" },
    { "state": "Rajasthan", "city": "Sambhar" },
    { "state": "Rajasthan", "city": "Prantij" },
    { "state": "Rajasthan", "city": "Mount Abu" },
    { "state": "Rajasthan", "city": "Mangrol" },
    { "state": "Rajasthan", "city": "Phulera" },
    { "state": "Rajasthan", "city": "Mandawa" },
    { "state": "Rajasthan", "city": "Pindwara" },
    { "state": "Rajasthan", "city": "Mandalgarh" },
    { "state": "Rajasthan", "city": "Takhatgarh" },
    { "state": "Tamil Nadu", "city": "Chennai" },
    { "state": "Tamil Nadu", "city": "Coimbatore" },
    { "state": "Tamil Nadu", "city": "Madurai" },
    { "state": "Tamil Nadu", "city": "Tiruchirappalli" },
    { "state": "Tamil Nadu", "city": "Salem" },
    { "state": "Tamil Nadu", "city": "Tirunelveli" },
    { "state": "Tamil Nadu", "city": "Tiruppur" },
    { "state": "Tamil Nadu", "city": "Ranipet" },
    { "state": "Tamil Nadu", "city": "Nagercoil" },
    { "state": "Tamil Nadu", "city": "Thanjavur" },
    { "state": "Tamil Nadu", "city": "Vellore" },
    { "state": "Tamil Nadu", "city": "Kancheepuram" },
    { "state": "Tamil Nadu", "city": "Erode" },
    { "state": "Tamil Nadu", "city": "Tiruvannamalai" },
    { "state": "Tamil Nadu", "city": "Pollachi" },
    { "state": "Tamil Nadu", "city": "Rajapalayam" },
    { "state": "Tamil Nadu", "city": "Sivakasi" },
    { "state": "Tamil Nadu", "city": "Pudukkottai" },
    { "state": "Tamil Nadu", "city": "Neyveli (TS)" },
    { "state": "Tamil Nadu", "city": "Nagapattinam" },
    { "state": "Tamil Nadu", "city": "Viluppuram" },
    { "state": "Tamil Nadu", "city": "Tiruchengode" },
    { "state": "Tamil Nadu", "city": "Vaniyambadi" },
    { "state": "Tamil Nadu", "city": "Theni Allinagaram" },
    { "state": "Tamil Nadu", "city": "Udhagamandalam" },
    { "state": "Tamil Nadu", "city": "Aruppukkottai" },
    { "state": "Tamil Nadu", "city": "Paramakudi" },
    { "state": "Tamil Nadu", "city": "Arakkonam" },
    { "state": "Tamil Nadu", "city": "Virudhachalam" },
    { "state": "Tamil Nadu", "city": "Srivilliputhur" },
    { "state": "Tamil Nadu", "city": "Tindivanam" },
    { "state": "Tamil Nadu", "city": "Virudhunagar" },
    { "state": "Tamil Nadu", "city": "Karur" },
    { "state": "Tamil Nadu", "city": "Valparai" },
    { "state": "Tamil Nadu", "city": "Sankarankovil" },
    { "state": "Tamil Nadu", "city": "Tenkasi" },
    { "state": "Tamil Nadu", "city": "Palani" },
    { "state": "Tamil Nadu", "city": "Pattukkottai" },
    { "state": "Tamil Nadu", "city": "Tirupathur" },
    { "state": "Tamil Nadu", "city": "Ramanathapuram" },
    { "state": "Tamil Nadu", "city": "Udumalaipettai" },
    { "state": "Tamil Nadu", "city": "Gobichettipalayam" },
    { "state": "Tamil Nadu", "city": "Thiruvarur" },
    { "state": "Tamil Nadu", "city": "Thiruvallur" },
    { "state": "Tamil Nadu", "city": "Panruti" },
    { "state": "Tamil Nadu", "city": "Namakkal" },
    { "state": "Tamil Nadu", "city": "Thirumangalam" },
    { "state": "Tamil Nadu", "city": "Vikramasingapuram" },
    { "state": "Tamil Nadu", "city": "Nellikuppam" },
    { "state": "Tamil Nadu", "city": "Rasipuram" },
    { "state": "Tamil Nadu", "city": "Tiruttani" },
    { "state": "Tamil Nadu", "city": "Nandivaram-Guduvancheri" },
    { "state": "Tamil Nadu", "city": "Periyakulam" },
    { "state": "Tamil Nadu", "city": "Pernampattu" },
    { "state": "Tamil Nadu", "city": "Vellakoil" },
    { "state": "Tamil Nadu", "city": "Sivaganga" },
    { "state": "Tamil Nadu", "city": "Vadalur" },
    { "state": "Tamil Nadu", "city": "Rameshwaram" },
    { "state": "Tamil Nadu", "city": "Tiruvethipuram" },
    { "state": "Tamil Nadu", "city": "Perambalur" },
    { "state": "Tamil Nadu", "city": "Usilampatti" },
    { "state": "Tamil Nadu", "city": "Vedaranyam" },
    { "state": "Tamil Nadu", "city": "Sathyamangalam" },
    { "state": "Tamil Nadu", "city": "Puliyankudi" },
    { "state": "Tamil Nadu", "city": "Nanjikottai" },
    { "state": "Tamil Nadu", "city": "Thuraiyur" },
    { "state": "Tamil Nadu", "city": "Sirkali" },
    { "state": "Tamil Nadu", "city": "Tiruchendur" },
    { "state": "Tamil Nadu", "city": "Periyasemur" },
    { "state": "Tamil Nadu", "city": "Sattur" },
    { "state": "Tamil Nadu", "city": "Vandavasi" },
    { "state": "Tamil Nadu", "city": "Tharamangalam" },
    { "state": "Tamil Nadu", "city": "Tirukkoyilur" },
    { "state": "Tamil Nadu", "city": "Oddanchatram" },
    { "state": "Tamil Nadu", "city": "Palladam" },
    { "state": "Tamil Nadu", "city": "Vadakkuvalliyur" },
    { "state": "Tamil Nadu", "city": "Tirukalukundram" },
    { "state": "Tamil Nadu", "city": "Uthamapalayam" },
    { "state": "Tamil Nadu", "city": "Surandai" },
    { "state": "Tamil Nadu", "city": "Sankari" },
    { "state": "Tamil Nadu", "city": "Shenkottai" },
    { "state": "Tamil Nadu", "city": "Vadipatti" },
    { "state": "Tamil Nadu", "city": "Sholingur" },
    { "state": "Tamil Nadu", "city": "Tirupathur" },
    { "state": "Tamil Nadu", "city": "Manachanallur" },
    { "state": "Tamil Nadu", "city": "Viswanatham" },
    { "state": "Tamil Nadu", "city": "Polur" },
    { "state": "Tamil Nadu", "city": "Panagudi" },
    { "state": "Tamil Nadu", "city": "Uthiramerur" },
    { "state": "Tamil Nadu", "city": "Thiruthuraipoondi" },
    { "state": "Tamil Nadu", "city": "Pallapatti" },
    { "state": "Tamil Nadu", "city": "Ponneri" },
    { "state": "Tamil Nadu", "city": "Lalgudi" },
    { "state": "Tamil Nadu", "city": "Natham" },
    { "state": "Tamil Nadu", "city": "Unnamalaikadai" },
    { "state": "Tamil Nadu", "city": "P.N.Patti" },
    { "state": "Tamil Nadu", "city": "Tharangambadi" },
    { "state": "Tamil Nadu", "city": "Tittakudi" },
    { "state": "Tamil Nadu", "city": "Pacode" },
    { "state": "Tamil Nadu", "city": "O  Valley" },
    { "state": "Tamil Nadu", "city": "Suriyampalayam" },
    { "state": "Tamil Nadu", "city": "Sholavandan" },
    { "state": "Tamil Nadu", "city": "Thammampatti" },
    { "state": "Tamil Nadu", "city": "Namagiripettai" },
    { "state": "Tamil Nadu", "city": "Peravurani" },
    { "state": "Tamil Nadu", "city": "Parangipettai" },
    { "state": "Tamil Nadu", "city": "Pudupattinam" },
    { "state": "Tamil Nadu", "city": "Pallikonda" },
    { "state": "Tamil Nadu", "city": "Sivagiri" },
    { "state": "Tamil Nadu", "city": "Punjaipugalur" },
    { "state": "Tamil Nadu", "city": "Padmanabhapuram" },
    { "state": "Tamil Nadu", "city": "Thirupuvanam" },
    { "state": "Telangana", "city": "Hyderabad" },
    { "state": "Telangana", "city": "Warangal" },
    { "state": "Telangana", "city": "Nizamabad" },
    { "state": "Telangana", "city": "Karimnagar" },
    { "state": "Telangana", "city": "Ramagundam" },
    { "state": "Telangana", "city": "Khammam" },
    { "state": "Telangana", "city": "Mahbubnagar" },
    { "state": "Telangana", "city": "Mancherial" },
    { "state": "Telangana", "city": "Adilabad" },
    { "state": "Telangana", "city": "Suryapet" },
    { "state": "Telangana", "city": "Jagtial" },
    { "state": "Telangana", "city": "Miryalaguda" },
    { "state": "Telangana", "city": "Nirmal" },
    { "state": "Telangana", "city": "Kamareddy" },
    { "state": "Telangana", "city": "Kothagudem" },
    { "state": "Telangana", "city": "Bodhan" },
    { "state": "Telangana", "city": "Palwancha" },
    { "state": "Telangana", "city": "Mandamarri" },
    { "state": "Telangana", "city": "Koratla" },
    { "state": "Telangana", "city": "Sircilla" },
    { "state": "Telangana", "city": "Tandur" },
    { "state": "Telangana", "city": "Siddipet" },
    { "state": "Telangana", "city": "Wanaparthy" },
    { "state": "Telangana", "city": "Kagaznagar" },
    { "state": "Telangana", "city": "Gadwal" },
    { "state": "Telangana", "city": "Sangareddy" },
    { "state": "Telangana", "city": "Bellampalle" },
    { "state": "Telangana", "city": "Bhongir" },
    { "state": "Telangana", "city": "Vikarabad" },
    { "state": "Telangana", "city": "Jangaon" },
    { "state": "Telangana", "city": "Bhadrachalam" },
    { "state": "Telangana", "city": "Bhainsa" },
    { "state": "Telangana", "city": "Farooqnagar" },
    { "state": "Telangana", "city": "Medak" },
    { "state": "Telangana", "city": "Narayanpet" },
    { "state": "Telangana", "city": "Sadasivpet" },
    { "state": "Telangana", "city": "Yellandu" },
    { "state": "Telangana", "city": "Manuguru" },
    { "state": "Telangana", "city": "Kyathampalle" },
    { "state": "Telangana", "city": "Nagarkurnool" },
    { "state": "Tripura", "city": "Agartala" },
    { "state": "Tripura", "city": "Udaipur" },
    { "state": "Tripura", "city": "Dharmanagar" },
    { "state": "Tripura", "city": "Pratapgarh" },
    { "state": "Tripura", "city": "Kailasahar" },
    { "state": "Tripura", "city": "Belonia" },
    { "state": "Tripura", "city": "Khowai" },
    { "state": "Uttar Pradesh", "city": "Lucknow" },
    { "state": "Uttar Pradesh", "city": "Kanpur" },
    { "state": "Uttar Pradesh", "city": "Firozabad" },
    { "state": "Uttar Pradesh", "city": "Agra" },
    { "state": "Uttar Pradesh", "city": "Meerut" },
    { "state": "Uttar Pradesh", "city": "Varanasi" },
    { "state": "Uttar Pradesh", "city": "Allahabad" },
    { "state": "Uttar Pradesh", "city": "Amroha" },
    { "state": "Uttar Pradesh", "city": "Moradabad" },
    { "state": "Uttar Pradesh", "city": "Aligarh" },
    { "state": "Uttar Pradesh", "city": "Saharanpur" },
    { "state": "Uttar Pradesh", "city": "Noida" },
    { "state": "Uttar Pradesh", "city": "Loni" },
    { "state": "Uttar Pradesh", "city": "Jhansi" },
    { "state": "Uttar Pradesh", "city": "Shahjahanpur" },
    { "state": "Uttar Pradesh", "city": "Rampur" },
    { "state": "Uttar Pradesh", "city": "Modinagar" },
    { "state": "Uttar Pradesh", "city": "Hapur" },
    { "state": "Uttar Pradesh", "city": "Etawah" },
    { "state": "Uttar Pradesh", "city": "Sambhal" },
    { "state": "Uttar Pradesh", "city": "Orai" },
    { "state": "Uttar Pradesh", "city": "Bahraich" },
    { "state": "Uttar Pradesh", "city": "Unnao" },
    { "state": "Uttar Pradesh", "city": "Rae Bareli" },
    { "state": "Uttar Pradesh", "city": "Lakhimpur" },
    { "state": "Uttar Pradesh", "city": "Sitapur" },
    { "state": "Uttar Pradesh", "city": "Lalitpur" },
    { "state": "Uttar Pradesh", "city": "Pilibhit" },
    { "state": "Uttar Pradesh", "city": "Chandausi" },
    { "state": "Uttar Pradesh", "city": "Hardoi " },
    { "state": "Uttar Pradesh", "city": "Azamgarh" },
    { "state": "Uttar Pradesh", "city": "Khair" },
    { "state": "Uttar Pradesh", "city": "Sultanpur" },
    { "state": "Uttar Pradesh", "city": "Tanda" },
    { "state": "Uttar Pradesh", "city": "Nagina" },
    { "state": "Uttar Pradesh", "city": "Shamli" },
    { "state": "Uttar Pradesh", "city": "Najibabad" },
    { "state": "Uttar Pradesh", "city": "Shikohabad" },
    { "state": "Uttar Pradesh", "city": "Sikandrabad" },
    { "state": "Uttar Pradesh", "city": "Shahabad, Hardoi" },
    { "state": "Uttar Pradesh", "city": "Pilkhuwa" },
    { "state": "Uttar Pradesh", "city": "Renukoot" },
    { "state": "Uttar Pradesh", "city": "Vrindavan" },
    { "state": "Uttar Pradesh", "city": "Ujhani" },
    { "state": "Uttar Pradesh", "city": "Laharpur" },
    { "state": "Uttar Pradesh", "city": "Tilhar" },
    { "state": "Uttar Pradesh", "city": "Sahaswan" },
    { "state": "Uttar Pradesh", "city": "Rath" },
    { "state": "Uttar Pradesh", "city": "Sherkot" },
    { "state": "Uttar Pradesh", "city": "Kalpi" },
    { "state": "Uttar Pradesh", "city": "Tundla" },
    { "state": "Uttar Pradesh", "city": "Sandila" },
    { "state": "Uttar Pradesh", "city": "Nanpara" },
    { "state": "Uttar Pradesh", "city": "Sardhana" },
    { "state": "Uttar Pradesh", "city": "Nehtaur" },
    { "state": "Uttar Pradesh", "city": "Seohara" },
    { "state": "Uttar Pradesh", "city": "Padrauna" },
    { "state": "Uttar Pradesh", "city": "Mathura" },
    { "state": "Uttar Pradesh", "city": "Thakurdwara" },
    { "state": "Uttar Pradesh", "city": "Nawabganj" },
    { "state": "Uttar Pradesh", "city": "Siana" },
    { "state": "Uttar Pradesh", "city": "Noorpur" },
    { "state": "Uttar Pradesh", "city": "Sikandra Rao" },
    { "state": "Uttar Pradesh", "city": "Puranpur" },
    { "state": "Uttar Pradesh", "city": "Rudauli" },
    { "state": "Uttar Pradesh", "city": "Thana Bhawan" },
    { "state": "Uttar Pradesh", "city": "Palia Kalan" },
    { "state": "Uttar Pradesh", "city": "Zaidpur" },
    { "state": "Uttar Pradesh", "city": "Nautanwa" },
    { "state": "Uttar Pradesh", "city": "Zamania" },
    { "state": "Uttar Pradesh", "city": "Shikarpur, Bulandshahr" },
    { "state": "Uttar Pradesh", "city": "Naugawan Sadat" },
    { "state": "Uttar Pradesh", "city": "Fatehpur Sikri" },
    { "state": "Uttar Pradesh", "city": "Shahabad, Rampur" },
    { "state": "Uttar Pradesh", "city": "Robertsganj" },
    { "state": "Uttar Pradesh", "city": "Utraula" },
    { "state": "Uttar Pradesh", "city": "Sadabad" },
    { "state": "Uttar Pradesh", "city": "Rasra" },
    { "state": "Uttar Pradesh", "city": "Lar" },
    { "state": "Uttar Pradesh", "city": "Lal Gopalganj Nindaura" },
    { "state": "Uttar Pradesh", "city": "Sirsaganj" },
    { "state": "Uttar Pradesh", "city": "Pihani" },
    { "state": "Uttar Pradesh", "city": "Shamsabad, Agra" },
    { "state": "Uttar Pradesh", "city": "Rudrapur" },
    { "state": "Uttar Pradesh", "city": "Soron" },
    { "state": "Uttar Pradesh", "city": "SUrban Agglomerationr" },
    { "state": "Uttar Pradesh", "city": "Samdhan" },
    { "state": "Uttar Pradesh", "city": "Sahjanwa" },
    { "state": "Uttar Pradesh", "city": "Rampur Maniharan" },
    { "state": "Uttar Pradesh", "city": "Sumerpur" },
    { "state": "Uttar Pradesh", "city": "Shahganj" },
    { "state": "Uttar Pradesh", "city": "Tulsipur" },
    { "state": "Uttar Pradesh", "city": "Tirwaganj" },
    { "state": "Uttar Pradesh", "city": "PurqUrban Agglomerationzi" },
    { "state": "Uttar Pradesh", "city": "Shamsabad, Farrukhabad" },
    { "state": "Uttar Pradesh", "city": "Warhapur" },
    { "state": "Uttar Pradesh", "city": "Powayan" },
    { "state": "Uttar Pradesh", "city": "Sandi" },
    { "state": "Uttar Pradesh", "city": "Achhnera" },
    { "state": "Uttar Pradesh", "city": "Naraura" },
    { "state": "Uttar Pradesh", "city": "Nakur" },
    { "state": "Uttar Pradesh", "city": "Sahaspur" },
    { "state": "Uttar Pradesh", "city": "Safipur" },
    { "state": "Uttar Pradesh", "city": "Reoti" },
    { "state": "Uttar Pradesh", "city": "Sikanderpur" },
    { "state": "Uttar Pradesh", "city": "Saidpur" },
    { "state": "Uttar Pradesh", "city": "Sirsi" },
    { "state": "Uttar Pradesh", "city": "Purwa" },
    { "state": "Uttar Pradesh", "city": "Parasi" },
    { "state": "Uttar Pradesh", "city": "Lalganj" },
    { "state": "Uttar Pradesh", "city": "Phulpur" },
    { "state": "Uttar Pradesh", "city": "Shishgarh" },
    { "state": "Uttar Pradesh", "city": "Sahawar" },
    { "state": "Uttar Pradesh", "city": "Samthar" },
    { "state": "Uttar Pradesh", "city": "Pukhrayan" },
    { "state": "Uttar Pradesh", "city": "Obra" },
    { "state": "Uttar Pradesh", "city": "Niwai" },
    { "state": "Uttarakhand", "city": "Dehradun" },
    { "state": "Uttarakhand", "city": "Hardwar" },
    { "state": "Uttarakhand", "city": "Haldwani-cum-Kathgodam" },
    { "state": "Uttarakhand", "city": "Srinagar" },
    { "state": "Uttarakhand", "city": "Kashipur" },
    { "state": "Uttarakhand", "city": "Roorkee" },
    { "state": "Uttarakhand", "city": "Rudrapur" },
    { "state": "Uttarakhand", "city": "Rishikesh" },
    { "state": "Uttarakhand", "city": "Ramnagar" },
    { "state": "Uttarakhand", "city": "Pithoragarh" },
    { "state": "Uttarakhand", "city": "Manglaur" },
    { "state": "Uttarakhand", "city": "Nainital" },
    { "state": "Uttarakhand", "city": "Mussoorie" },
    { "state": "Uttarakhand", "city": "Tehri" },
    { "state": "Uttarakhand", "city": "Pauri" },
    { "state": "Uttarakhand", "city": "Nagla" },
    { "state": "Uttarakhand", "city": "Sitarganj" },
    { "state": "Uttarakhand", "city": "Bageshwar" },
    { "state": "West Bengal", "city": "Kolkata" },
    { "state": "West Bengal", "city": "Siliguri" },
    { "state": "West Bengal", "city": "Asansol" },
    { "state": "West Bengal", "city": "Raghunathganj" },
    { "state": "West Bengal", "city": "Kharagpur" },
    { "state": "West Bengal", "city": "Naihati" },
    { "state": "West Bengal", "city": "English Bazar" },
    { "state": "West Bengal", "city": "Baharampur" },
    { "state": "West Bengal", "city": "Hugli-Chinsurah" },
    { "state": "West Bengal", "city": "Raiganj" },
    { "state": "West Bengal", "city": "Jalpaiguri" },
    { "state": "West Bengal", "city": "Santipur" },
    { "state": "West Bengal", "city": "Balurghat" },
    { "state": "West Bengal", "city": "Medinipur" },
    { "state": "West Bengal", "city": "Habra" },
    { "state": "West Bengal", "city": "Ranaghat" },
    { "state": "West Bengal", "city": "Bankura" },
    { "state": "West Bengal", "city": "Nabadwip" },
    { "state": "West Bengal", "city": "Darjiling" },
    { "state": "West Bengal", "city": "Purulia" },
    { "state": "West Bengal", "city": "Arambagh" },
    { "state": "West Bengal", "city": "Tamluk" },
    { "state": "West Bengal", "city": "AlipurdUrban Agglomerationr" },
    { "state": "West Bengal", "city": "Suri" },
    { "state": "West Bengal", "city": "Jhargram" },
    { "state": "West Bengal", "city": "Gangarampur" },
    { "state": "West Bengal", "city": "Rampurhat" },
    { "state": "West Bengal", "city": "Kalimpong" },
    { "state": "West Bengal", "city": "Sainthia" },
    { "state": "West Bengal", "city": "Taki" },
    { "state": "West Bengal", "city": "Murshidabad" },
    { "state": "West Bengal", "city": "Memari" },
    { "state": "West Bengal", "city": "Paschim Punropara" },
    { "state": "West Bengal", "city": "Tarakeswar" },
    { "state": "West Bengal", "city": "Sonamukhi" },
    { "state": "West Bengal", "city": "PandUrban Agglomeration" },
    { "state": "West Bengal", "city": "Mainaguri" },
    { "state": "West Bengal", "city": "Malda" },
    { "state": "West Bengal", "city": "Panchla" },
    { "state": "West Bengal", "city": "Raghunathpur" },
    { "state": "West Bengal", "city": "Mathabhanga" },
    { "state": "West Bengal", "city": "Monoharpur" },
    { "state": "West Bengal", "city": "Srirampore" },
    { "state": "West Bengal", "city": "Adra" }
];