var page_location = window.location.pathname.split('/').reverse()[0];

var verify_phoneno = /^\d{10}$/;
var verify_name = /^[a-zA-Z-,]+(\s{0,1}[a-zA-Z-, ])*$/;
var deviceid = "";
var devicetype = "1";
var verify_otp = /^[0-9]{5}$/;
var verify_email = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

var back_count = false;

var api_address = 'http://cowl.kkautos.com/services/api.php';

var img_home_address = 'http://cowl.kkautos.com/productimages/';

var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
        document.addEventListener('backbutton', this.backkeypress, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        console.log('deviceready');
        pushnotification_init();
    },

    backkeypress: function() {
        if (page_location == 'login.html') {
            navigator.app.exitApp();
        } else if (page_location == 'dashboard.html') {
            if (back_count) {
                navigator.app.exitApp();
            } else {
                backalert();
            }
        } else {
            window.history.back();
        }
    }
};

app.initialize();

function pushnotification_init() {

    var push = PushNotification.init({
        android: {
            senderID: "482301475362"
        }
    });

    push.on('registration', function(data) {
        // data.registrationId
        if (data != null) {
            //alert(data.registrationId);
            window.localStorage.setItem("deviceid", data.registrationId);
            deviceid = data.registrationId;
        }
    });

    push.on('notification', function(data) {
        if (data != null) {
            custom_alert(data.message, function() {
                window.location = 'notification.html';
            });
        }
        // data.message,
        // data.title,
        // data.count,
        // data.sound,
        // data.image,
        // data.additionalData
    });

    push.on('error', function(e) {
        // e.message
        //alert(e.message);
    });
}

function loading_on() {
    //document.getElementById('loading').style.display = 'block';
    popupOpenplainm();
}

function loading_off() {
    //document.getElementById('loading').style.display = 'none';
    closepopupplainm();
}

function popupOpenplainm() {
    var myClassName = " cd-popup";
    var trigger = document.getElementById('loading');
    trigger.className = trigger.className.replace(myClassName, "");
    trigger.className = trigger.className + ' is-visible';
}

function closepopupplainm() {
    var trigger = document.getElementById('loading');
    var myClassName = trigger.className;
    trigger.className = trigger.className.replace(myClassName, 'cd-popup');
}

function custom_alert(message, click_function) {
    popupOpenbtn1m();
    //document.getElementById('popup').style.display = 'block';
    document.getElementById('popup-text').innerHTML = message;
    document.getElementById('popup-ok').addEventListener('click', function() {
        closepopupbtn1m();
        //document.getElementById('popup').style.display = 'none';
    });
    document.getElementById('popup-ok').onclick = (click_function) ? click_function : '';
}

//code for triggering popup single button
function popupOpenbtn1m() {
    var myClassName = " cd-popup";
    var trigger = document.getElementById('popup');
    trigger.className = trigger.className.replace(myClassName, "");
    trigger.className = trigger.className + ' is-visible';
}

//code for closing popup single button
function closepopupbtn1m() {
    var trigger = document.getElementById('popup');
    var myClassName = trigger.className;
    trigger.className = trigger.className.replace(myClassName, 'cd-popup');
}

function backalert() {
    back_count = true;
    //custom_alert("Press back again to exit");
    setTimeout(function() {
        back_count = false;
        //closepopupbtn1m();
    }, 3000);
    var response = confirm('Do you want to exit App?');
    if (response) {
        navigator.app.exitApp();
    }
}

if (page_location == 'login.html') {
    window.onload = function() {
        if (window.localStorage.getItem('temp_userid') == null || window.localStorage.getItem('temp_userid') == "") {
            document.getElementById('name').value = window.localStorage.getItem('temp_name');
            document.getElementById('company_name').value = window.localStorage.getItem('temp_company_name');
            document.getElementById('mobile').value = window.localStorage.getItem('temp_mobile');
            document.getElementById('dateofbirth').value = window.localStorage.getItem('temp_dateofbirth');
        }

        for (var i = 0; i < countries_list.length; i++) {
            document.getElementById('country').innerHTML += '<option value="' + countries_list[i] + '">' + countries_list[i] + '</option>';
        }
        for (var i = 0; i < state_list.length; i++) {
            document.getElementById('state').innerHTML += '<option value="' + state_list[i] + '">' + state_list[i] + '</option>';
        }
        var city_array = [];
        for (var i = 0; i < city_list.length; i++) {
            if (document.getElementById('state').value.toLowerCase() == city_list[i].state.toLowerCase()) {
                //document.getElementById('city').innerHTML += '<option value="' + city_list[i].city + '">' + city_list[i].city + '</option>';
                city_array.push(city_list[i].city);
            }
        }
        $("#city").autocomplete({
            source: function(req, response) {
                var results = $.ui.autocomplete.filter(city_array, req.term);
                response(results.slice(0, 10)); //for getting 5 results
            }
        });
        document.getElementById('emailparent').style.display = 'none';
    }

    document.getElementById('country').onchange = function() {
        if (document.getElementById('country').value == 'India') {
            document.getElementById('state').style.display = 'initial';
            document.getElementById('statei').style.display = 'none';
            document.getElementById('city').style.display = 'initial';
            document.getElementById('cityi').style.display = 'none';
            document.getElementById('emailparent').style.display = 'none';
        } else {
            document.getElementById('state').style.display = 'none';
            document.getElementById('statei').style.display = 'block';
            document.getElementById('city').style.display = 'none';
            document.getElementById('cityi').style.display = 'block';
            document.getElementById('emailparent').style.display = 'block';
        }
    }

    document.getElementById('state').onchange = function() {
        //document.getElementById('city').innerHTML = "";
        document.getElementById('city').value = "";
        var city_array = [];
        for (var i = 0; i < city_list.length; i++) {
            if (document.getElementById('state').value.toLowerCase() == city_list[i].state.toLowerCase()) {
                //document.getElementById('city').innerHTML += '<option value="' + city_list[i].city + '">' + city_list[i].city + '</option>';
                city_array.push(city_list[i].city);
            }
        }
        $("#city").autocomplete({
            source: function(req, response) {
                var results = $.ui.autocomplete.filter(city_array, req.term);
                response(results.slice(0, 10)); //for getting 5 results
            }
        });
    }

    document.getElementById('done').onclick = function() {
        var check = document.getElementById('check').style.display;
        if (!(check == 'none')) {
            var name = document.getElementById('name').value;
            var company_name = document.getElementById('company_name').value;
            var mobile = document.getElementById('mobile').value;
            var email = document.getElementById('email').value;
            var dateofbirth = document.getElementById('dateofbirth').value;
            var country = document.getElementById('country').value;
            var state = ((document.getElementById('statei').style.display == 'none') ? document.getElementById('state').value : document.getElementById('statei').value);
            var city = ((document.getElementById('cityi').style.display == 'none') ? document.getElementById('city').value : document.getElementById('cityi').value);

            if (name.match(verify_name)) {
                if (company_name != "") {
                    if (mobile.match(verify_phoneno)) {
                        if (email.match(verify_email) || country == 'India') {
                            if (dateofbirth != "") {
                                if (state != "") {
                                    if (city != "") {
                                        //loading_on();
                                        document.getElementById('done').style.display = 'none';
                                        document.getElementById('loading').style.display = 'block';
                                        var xmlhttp = new XMLHttpRequest();
                                        //monitor response
                                        xmlhttp.onreadystatechange = function() {
                                            //alert(xmlhttp.responseText);
                                            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                                                var response = JSON.parse(xmlhttp.responseText);
                                                if (response.status == '200') {
                                                    window.localStorage.setItem('temp_userid', response.userid);
                                                    window.localStorage.setItem('temp_name', name);
                                                    window.localStorage.setItem('temp_company_name', company_name);
                                                    window.localStorage.setItem('temp_mobile', mobile);
                                                    window.localStorage.setItem('temp_email', email);
                                                    window.localStorage.setItem('temp_dateofbirth', dateofbirth);
                                                    window.localStorage.setItem('temp_city', city);
                                                    window.localStorage.setItem('temp_state', state);
                                                    window.localStorage.setItem('temp_country', country);
                                                    if (country == 'India') {
                                                        window.scrollTo(0, 0);
                                                        alert("Please check your inbox. We have sent you an OTP");
                                                        window.location = 'otp.html';
                                                        //custom_alert("Please check your inbox. We have sent you an OTP", function () {
                                                        //    window.location = 'otp.html';
                                                        //});
                                                    } else {
                                                        window.localStorage.setItem('userid', window.localStorage.getItem('temp_userid'));
                                                        window.localStorage.setItem('name', window.localStorage.getItem('temp_name'));
                                                        window.localStorage.setItem('company_name', window.localStorage.getItem('temp_company_name'));
                                                        window.localStorage.setItem('mobile', window.localStorage.getItem('temp_mobile'));
                                                        window.localStorage.setItem('email', window.localStorage.getItem('temp_email'));
                                                        window.localStorage.setItem('dateofbirth', window.localStorage.getItem('temp_dateofbirth'));
                                                        window.localStorage.setItem('city', window.localStorage.getItem('temp_city'));
                                                        window.localStorage.setItem('state', window.localStorage.getItem('temp_state'));
                                                        window.localStorage.setItem('country', window.localStorage.getItem('temp_country'));
                                                        window.location = 'dashboard.html';
                                                    }
                                                } else {
                                                    //custom_alert('Error Signing Up');
                                                    alert('Error Signing Up');
                                                }
                                                document.getElementById('done').style.display = 'initial';
                                                document.getElementById('loading').style.display = 'none';
                                            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                                                //custom_alert('Network Error! Check Network Settings');
                                                alert('Network Error! Check Network Settings');
                                                document.getElementById('done').style.display = 'initial';
                                                document.getElementById('loading').style.display = 'none';
                                            }
                                        }

                                        var params = "request=102" +
                                            "&name=" + encodeURIComponent(name) +
                                            "&company_name=" + encodeURIComponent(company_name) +
                                            "&mobile=" + encodeURIComponent(mobile) +
                                            "&email=" + encodeURIComponent(email) +
                                            "&dateofbirth=" + encodeURIComponent(dateofbirth) +
                                            "&country=" + encodeURIComponent(country) +
                                            "&state=" + encodeURIComponent(state) +
                                            "&city=" + encodeURIComponent(city) +
                                            "&deviceid=" + encodeURIComponent(deviceid) +
                                            "&devicetype=" + encodeURIComponent(devicetype);

                                        xmlhttp.open('POST', api_address, true);
                                        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                                        xmlhttp.send(params);
                                    } else {
                                        alert("Please enter City");
                                        document.getElementById('city').focus();
                                        //custom_alert("Please enter City", function () {
                                        //    document.getElementById('city').focus();
                                        //});
                                    }
                                } else {
                                    alert("Please enter State");
                                    //custom_alert("Please enter State");
                                }
                            } else {
                                alert("Please select Date of Birth");
                                document.getElementById('dateofbirth').focus();
                                //custom_alert("Please select Date of Birth", function () {
                                //    document.getElementById('dateofbirth').focus();
                                //});
                            }
                        } else {
                            alert("Please enter Correct Email");
                            document.getElementById('email').focus();
                            //custom_alert("Please enter Correct Email", function () {
                            //    document.getElementById('email').focus();
                            //});
                        }
                    } else {
                        alert("Please enter Correct Mobile Number");
                        document.getElementById('mobile').focus();
                        //custom_alert("Please enter Correct Mobile Number", function () {
                        //    document.getElementById('mobile').focus();
                        //});
                    }
                } else {
                    alert("Please enter Company Name");
                    document.getElementById('company_name').focus();
                    //custom_alert("Please enter Company Name", function () {
                    //    document.getElementById('company_name').focus();
                    //});
                }
            } else {
                alert("Please enter Correct Name");
                document.getElementById('name').focus();
                //custom_alert("Please enter Correct Name", function () {
                //    document.getElementById('name').focus();
                //});
            }
        } else {
            alert("Please agree to Terms and Conditions");
        }
    }
}

if (page_location == 'otp.html') {

    document.getElementById('resend').onclick = function() {
        var userid = window.localStorage.getItem('temp_userid');
        var mobile = window.localStorage.getItem('temp_mobile');

        //loading_on();
        document.getElementById('done').style.display = 'none';
        document.getElementById('loading').style.display = 'block';
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function() {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                var response = JSON.parse(xmlhttp.responseText);
                if (response.status == '200') {
                    //custom_alert("New OTP has been sent. Please check your Inbox");
                    alert("New OTP has been sent. Please check your Inbox");
                    document.getElementById('resenddiv').style.display = 'none';
                } else {
                    //custom_alert('Error Sending OTP');
                    alert('Error Sending OTP');
                }
                //loading_off();
                document.getElementById('done').style.display = 'initial';
                document.getElementById('loading').style.display = 'none';
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                //custom_alert('Network Error! Check Network Settings');
                alert('Network Error! Check Network Settings');
                loading_off();
                document.getElementById('done').style.display = 'initial';
                document.getElementById('loading').style.display = 'none';
            }
        }

        var params = "request=103" +
            "&userid=" + encodeURIComponent(userid) +
            "&mobile=" + encodeURIComponent(mobile);

        xmlhttp.open('POST', api_address, true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send(params);
    }

    document.getElementById('done').onclick = function() {
        var otp = document.getElementById('otp').value;
        var userid = window.localStorage.getItem('temp_userid');

        if (otp.match(verify_otp)) {
            //loading_on();
            document.getElementById('done').style.display = 'none';
            document.getElementById('loading').style.display = 'block';
            var xmlhttp = new XMLHttpRequest();
            //monitor response
            xmlhttp.onreadystatechange = function() {
                //alert(xmlhttp.responseText);
                if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                    var response = JSON.parse(xmlhttp.responseText);
                    if (response.status == '200') {
                        window.localStorage.setItem('userid', window.localStorage.getItem('temp_userid'));
                        window.localStorage.setItem('name', window.localStorage.getItem('temp_name'));
                        window.localStorage.setItem('email', window.localStorage.getItem('temp_email'));
                        window.localStorage.setItem('company_name', window.localStorage.getItem('temp_company_name'));
                        window.localStorage.setItem('mobile', window.localStorage.getItem('temp_mobile'));
                        window.localStorage.setItem('dateofbirth', window.localStorage.getItem('temp_dateofbirth'));
                        window.localStorage.setItem('city', window.localStorage.getItem('temp_city'));
                        window.localStorage.setItem('state', window.localStorage.getItem('temp_state'));
                        window.localStorage.setItem('country', window.localStorage.getItem('temp_country'));
                        window.location = 'dashboard.html';
                    } else if (response.status == '403') {
                        //custom_alert("Incorrect OTP! Please enter correct OTP");
                        alert("Incorrect OTP! Please enter correct OTP");
                    } else {
                        //custom_alert('Error Verifying');
                        alert('Error Verifying');
                    }
                    //loading_off();
                    document.getElementById('done').style.display = 'initial';
                    document.getElementById('loading').style.display = 'none';
                } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                    custom_alert('Network Error! Check Network Settings');
                    //loading_off();
                    document.getElementById('done').style.display = 'initial';
                    document.getElementById('loading').style.display = 'none';
                }
            }

            var params = "request=104" +
                "&userid=" + encodeURIComponent(userid) +
                "&otp=" + encodeURIComponent(otp);

            xmlhttp.open('POST', api_address, true);
            xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            xmlhttp.send(params);

        } else {
            alert("Please enter Correct OTP");
            document.getElementById('otp').focus();
            //custom_alert("Please enter Correct OTP", function () {
            //    document.getElementById('otp').focus();
            //});
        }
    }
}

if (page_location == 'dashboard.html') {
    window.onload = function() {
        if (window.localStorage.getItem('product_data') == null || window.localStorage.getItem('product_data') == "" || parseInt(window.localStorage.getItem("product_sync")) <= 0) {
            loading_on();
            var xmlhttp = new XMLHttpRequest();
            //monitor response
            xmlhttp.onreadystatechange = function() {
                //alert(xmlhttp.responseText);
                if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                    var response = JSON.parse(xmlhttp.responseText);
                    if (response.status == '200') {
                        if (window.localStorage.getItem('last_updated') == null || window.localStorage.getItem('last_updated') == '' || (window.localStorage.getItem('last_updated') == response.last_updated)) {
                            window.localStorage.setItem("product_data", JSON.stringify(response.product_data));
                            window.localStorage.setItem("product_sync", "15");
                            window.localStorage.setItem("last_updated", response.last_updated);
                        } else {
                            window.localStorage.setItem("product_sync", "0");
                            custom_alert("We have updated our <a href='terms.html'>Terms and Conditions</a>.<br>Please accept them before proceeding", function() {
                                window.localStorage.setItem("product_data", JSON.stringify(response.product_data));
                                window.localStorage.setItem("product_sync", "15");
                                window.localStorage.setItem("last_updated", response.last_updated);
                            });
                        }
                    }
                    loading_off();
                } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                    loading_off();
                }
            }

            var params = "request=101";

            xmlhttp.open('POST', api_address, true);
            xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            xmlhttp.send(params);
        }
        countNotification();
    }

    document.getElementById('sync').onclick = function() {
        loading_on();
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function() {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                var response = JSON.parse(xmlhttp.responseText);
                if (response.status == '200') {
                    //window.localStorage.setItem("product_data", JSON.stringify(response.product_data));
                    //window.localStorage.setItem("product_sync", "15");
                    //custom_alert("Data Updated");
                    if (window.localStorage.getItem('last_updated') == null || window.localStorage.getItem('last_updated') == '' || (window.localStorage.getItem('last_updated') == response.last_updated)) {
                        window.localStorage.setItem("product_data", JSON.stringify(response.product_data));
                        window.localStorage.setItem("product_sync", "15");
                        window.localStorage.setItem("last_updated", response.last_updated);
                    } else {
                        window.localStorage.setItem("product_sync", "0");
                        custom_alert("We have updated our <a href='terms.html'>Terms and Conditions</a>.<br>Please accept them before proceeding", function() {
                            window.localStorage.setItem("product_data", JSON.stringify(response.product_data));
                            window.localStorage.setItem("product_sync", "15");
                            window.localStorage.setItem("last_updated", response.last_updated);
                        });
                    }
                }
                loading_off();
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                loading_off();
            }
        }

        var params = "request=101";

        xmlhttp.open('POST', api_address, true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send(params);
    }

    function countNotification() {
        var last_notification = '0000-00-00 00:00:00';
        var last_feed = '0000-00-00 00:00:00';
        document.getElementById('notification_count').style.display = 'none';
        if (!(window.localStorage.getItem('notifeeddata') == '' || window.localStorage.getItem('notifeeddata') == null)) {
            var response = JSON.parse(window.localStorage.getItem('notifeeddata'));
            last_notification = response.notification_data[0].timestamp;
            last_feed = response.newsfeed_data[0].timestamp;
        }
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function() {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                var response = JSON.parse(xmlhttp.responseText);
                if (response.status == '200' && response.data != '0') {
                    document.getElementById('notification_count').style.display = 'block';
                    document.getElementById('notification_count').innerText = response.data;
                }
            }
        }

        var params = "request=110&userid=" + encodeURIComponent(window.localStorage.getItem('userid')) + "&last_notification=" + last_notification + "&last_feed=" + last_feed;

        xmlhttp.open('POST', api_address, true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send(params);

    }
}

if (page_location == 'products.html') {

    window.onload = function() {

        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
            custom_alert("No Data Available! Please sync data");
        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var headers = [],
                header_specification_sequence = [],
                header_image_url = [],
                header_sort = [];
            for (var i = 0; i < data.length; i++) {
                if (headers.indexOf(data[i].product.cname) == -1) {
                    headers.push(data[i].product.cname);
                    header_specification_sequence.push(data[i].product.cspecification_sequence);
                    header_image_url.push(data[i].product.cimage_url);
                    header_sort.push(data[i].product.cheader_sort);
                }
            }

            for (var i = 0; i < header_sort.length; i++) {
                for (var j = i; j < header_sort.length; j++) {
                    if (parseInt(header_sort[i]) > parseInt(header_sort[j])) {
                        var temp = headers[j];
                        headers[j] = headers[i];
                        headers[i] = temp;

                        temp = header_image_url[j];
                        header_image_url[j] = header_image_url[i];
                        header_image_url[i] = temp;

                        temp = header_specification_sequence[j];
                        header_specification_sequence[j] = header_specification_sequence[i];
                        header_specification_sequence[i] = temp;

                        temp = header_sort[j];
                        header_sort[j] = header_sort[i];
                        header_sort[i] = temp;
                    }
                }
            }

            var show_data = "";
            for (var i = 0; i < headers.length; i++) {
                show_data += '<div class="row product-item ripple" onclick="navigateproducts(\'' + headers[i] + '\',\'' + header_specification_sequence[i] + '\')">' +
                    '<div class="col-30">' +
                    '<div class="product-item-icon">' +
                    '<img style="background:url(\'' + (header_image_url[i] == '' ? 'img/default.png' : img_home_address + header_image_url[i]) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />' +
                    //'<img src="img/products/product_1.jpg" onerror="loaddefaultpic(this)" />' +
                    '</div>' +
                    '</div>' +
                    '<div class="col-60 col-center product-item-desc">' + headers[i].toLowerCase() + '</div>' +
                    '<div class="col-10 col-center product-item-next">' +
                    '<i class="fa fa-angle-right"></i>' +
                    '</div>' +
                    '</div>';
            }

            document.getElementById('page_data').innerHTML = show_data;
        }

    }

    function navigateproducts(name, specification_sequence) {
        window.localStorage.setItem("selected_header", name);
        window.localStorage.setItem("selected_specification_sequence", specification_sequence);
        window.location = 'products_list.html';
    }
}

if (page_location == 'products_list.html') {

    window.onload = function() {

        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
            custom_alert("No Data Available! Please sync data");
        } else if (window.localStorage.getItem("selected_header") == null || window.localStorage.getItem("selected_header") == "") {
            custom_alert("Please select Header", function() {
                window.history.back();
            });
        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var selected_header = window.localStorage.getItem("selected_header");
            var selected_specification_sequence = window.localStorage.getItem("selected_specification_sequence");

            document.getElementById('header_name').innerHTML = selected_header.toLowerCase();

            var show_data = "";
            for (var i = 0; i < data.length; i++) {
                if (data[i].product.cname == selected_header) {
                    show_data += '<div class="row product-item ripple" onclick="navigateproductlist(\'' + i + '\')">' +
                        '<div class="col-25 col-center">' +
                        '<div class="product-item-icon prod-list-thumb">' +
                        '<img style="background:url(\'' + (data[i].product.image_url == '' ? 'img/default.png' : img_home_address + data[i].product.image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />' +
                        '</div>' +
                        '</div>' +
                        '<div class="col-75 col-center product-item-desc">' +
                        '<p><b><span>Part No.</span> ' + data[i].product.partno + '</b></p>';
                    if (selected_specification_sequence == "" || selected_specification_sequence == null) {
                        show_data += '<p><span>' + data[i].specification[0].fname + '</span> ' + data[i].specification[0].featurevalue + '</p>' +
                            '<p><span>' + data[i].specification[1].fname + '</span> ' + data[i].specification[1].featurevalue + '</p>';
                    } else {
                        selected_specification = (selected_specification_sequence + "").split(';');
                        for (var j = 0; j < selected_specification.length - 1; j++) {
                            show_data += '<p><span>' + selected_specification[j] + '</span> ';
                            show_value = '';
                            for (var k = 0; k < data[i].specification.length; k++) {
                                if (data[i].specification[k].fname == selected_specification[j]) {
                                    show_value = data[i].specification[k].featurevalue;
                                }
                            }
                            show_data += show_value + '</p>';
                        }
                    }
                    show_data += '</div>' +
                        '</div>';
                }
            }
            document.getElementById('page_data').innerHTML = show_data;
        }

    }

    function navigateproductlist(id) {
        window.localStorage.setItem("selected_product", id);
        window.location = 'product_desc.html';
    }
}

if (page_location == 'product_desc.html') {

    window.onload = function() {

        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
            custom_alert("No Data Available! Please sync data");
        } else if (window.localStorage.getItem("selected_product") == null || window.localStorage.getItem("selected_product") == "") {
            custom_alert("Please select Product", function() {
                window.history.back();
            });
        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var selected_product = parseInt(window.localStorage.getItem("selected_product"));

            document.getElementById('header_name').innerHTML = data[selected_product].product.cname.toLowerCase();

            document.getElementById("product_image").innerHTML = '<img style="background:url(\'' + (data[selected_product].product.image_url == '' ? 'img/default.png' : img_home_address + data[selected_product].product.image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />';

            //document.getElementById("product_image").src = (data[selected_product].product.image_url == '' ? '' : img_home_address + data[selected_product].product.image_url);
            document.getElementById("partno").innerHTML = data[selected_product].product.partno;
            document.getElementById("mrp").innerHTML = data[selected_product].product.mrp;

            var show_data = "";

            if (data[selected_product].product.cproduct_specification_sequence == "") {
                for (var i = 0; i < data[selected_product].specification.length; i++) {
                    show_data += '<div class="row prod-desc-row">' +
                        '<div class="col-40 prod-desc-col-left">' + data[selected_product].specification[i].fname + '</div>' +
                        '<div class="col-60 prod-desc-col-right">' + data[selected_product].specification[i].featurevalue + '</div>' +
                        '</div>';
                }
            } else {
                var product_specification_sequence = (data[selected_product].product.cproduct_specification_sequence).split(";");
                for (var i = 0; i < product_specification_sequence.length - 1; i++) {
                    for (var j = 0; j < data[selected_product].specification.length; j++) {
                        if (data[selected_product].specification[j].fname.toLowerCase() == product_specification_sequence[i].toLowerCase()) {
                            show_data += '<div class="row prod-desc-row">' +
                                '<div class="col-40 prod-desc-col-left">' + data[selected_product].specification[j].fname + '</div>' +
                                '<div class="col-60 prod-desc-col-right">' + data[selected_product].specification[j].featurevalue + '</div>' +
                                '</div>';
                        }
                    }
                }
            }
            document.getElementById('page_data').innerHTML = show_data;
        }

    }

    function navigateproductlist(id) {
        window.localStorage.setItem("selected_product", id);
        window.location = 'product_desc.html';
    }

    document.getElementById('share_result').onclick = function() {
        var show_data = "";
        var show_data_img = "";

        var data = JSON.parse(window.localStorage.getItem("product_data"));
        var selected_product = parseInt(window.localStorage.getItem("selected_product"));

        show_data_img = (data[selected_product].product.image_url == '' ? '' : img_home_address + encodeURIComponent(data[selected_product].product.image_url));
        show_data += 'Part No. : ' + data[selected_product].product.partno + ' \n';
        show_data += 'MRP : ' + data[selected_product].product.mrp + ' \n';

        for (var i = 0; i < data[selected_product].specification.length; i++) {
            show_data += data[selected_product].specification[i].fname + ' : ' + data[selected_product].specification[i].featurevalue + ' \n';
        }
        window.plugins.socialsharing.share(show_data_img + '\nProduct Details\n' + show_data + ' View more in KKI Autos App', 'Share Product', null, 'https://play.google.com/store/apps/details?id=com.terasoltechnologies.kki');
    }

    document.getElementById('mail_result').onclick = function() {
        var result = confirm('Do you like mail these details to your Email Id');
        if (result) {

            var name = window.localStorage.getItem('name');
            var email = window.localStorage.getItem('email');
            var remail = prompt('Please confirm your email', email);
            if (remail != null) {
                email = remail;
                window.localStorage.setItem('email', email);

                var show_data = "";

                var data = JSON.parse(window.localStorage.getItem("product_data"));
                var selected_product = parseInt(window.localStorage.getItem("selected_product"));

                show_data += (data[selected_product].product.image_url == '' ? '' : ('<p><img src="' + encodeURI(img_home_address + data[selected_product].product.image_url) + '" width="30%"/></p>'));
                show_data += '<p><strong>Part No. :</strong> ' + data[selected_product].product.partno + '</p>';
                show_data += '<p><strong>MRP :</strong> ' + data[selected_product].product.mrp + '</p>';

                for (var i = 0; i < data[selected_product].specification.length; i++) {
                    show_data += '<p><strong>' + data[selected_product].specification[i].fname + ' :</strong> ' + data[selected_product].specification[i].featurevalue + '</p>';
                }

                if (email.match(verify_email)) {

                    loading_on();
                    var xmlhttp = new XMLHttpRequest();
                    //monitor response
                    xmlhttp.onreadystatechange = function() {
                        //alert(xmlhttp.responseText);
                        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                            var response = JSON.parse(xmlhttp.responseText);
                            if (response.status == '200') {
                                custom_alert('Mail Sent');
                            } else {
                                custom_alert('Error Sending Mail');
                            }
                            loading_off();
                        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                            custom_alert('Network Error! Check Network Settings');
                            loading_off();
                        }
                    }

                    var params = "request=105" +
                        "&name=" + encodeURIComponent(name) +
                        "&email=" + encodeURIComponent(email) +
                        "&data=" + encodeURIComponent(show_data);

                    xmlhttp.open('POST', api_address, true);
                    xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                    xmlhttp.send(params);
                } else {
                    custom_alert('Your email is not valid! Please try again');
                }
            }
        }
    }

    document.getElementById('send_enquiry').onclick = function() {
        var result = confirm('Do you like send enquiry to KKI');
        if (result) {
            var name = window.localStorage.getItem('name');
            var email = window.localStorage.getItem('email');
            var mobile = window.localStorage.getItem('mobile');
            var remail = prompt('Please confirm your email', email);
            if (remail != null) {
                email = remail;
                window.localStorage.setItem('email', email);

                var product = "";

                var data = JSON.parse(window.localStorage.getItem("product_data"));
                var selected_product = parseInt(window.localStorage.getItem("selected_product"));
                product = data[selected_product].product.partno;

                if (email.match(verify_email)) {
                    loading_on();
                    var xmlhttp = new XMLHttpRequest();
                    //monitor response
                    xmlhttp.onreadystatechange = function() {
                        //alert(xmlhttp.responseText);
                        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                            var response = JSON.parse(xmlhttp.responseText);
                            if (response.status == '200') {
                                custom_alert('Enquiry Sent');
                            } else {
                                custom_alert('Error Sending Enquiry');
                            }
                            loading_off();
                        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                            custom_alert('Network Error! Check Network Settings');
                            loading_off();
                        }
                    }

                    var params = "request=106" +
                        "&name=" + encodeURIComponent(name) +
                        "&email=" + encodeURIComponent(email) +
                        "&mobile=" + encodeURIComponent(mobile) +
                        "&cname=" + encodeURIComponent(window.localStorage.getItem('company_name')) +
                        "&dob=" + encodeURIComponent(window.localStorage.getItem('dateofbirth')) +
                        "&city=" + encodeURIComponent(window.localStorage.getItem('city')) +
                        "&state=" + encodeURIComponent(window.localStorage.getItem('state')) +
                        "&country=" + encodeURIComponent(window.localStorage.getItem('country')) +
                        "&product=" + encodeURIComponent(product);

                    xmlhttp.open('POST', api_address, true);
                    xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                    xmlhttp.send(params);
                } else {
                    custom_alert('Your email is not valid! Please try again');
                }
            }
        }
    }
}

if (page_location == 'dimension_search.html') {

    window.onload = function() {
        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
            custom_alert("No Data Available! Please sync data");
        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var headers = [],
                headers_index = [],
                header_sort = [];
            for (var i = 0; i < data.length; i++) {
                if (headers.indexOf(data[i].product.cname) == -1) {
                    headers.push(data[i].product.cname);
                    header_sort.push(data[i].product.cheader_sort);
                    headers_index.push(i);
                }
            }

            for (var i = 0; i < header_sort.length; i++) {
                for (var j = i; j < header_sort.length; j++) {
                    if (parseInt(header_sort[i]) > parseInt(header_sort[j])) {
                        var temp = headers[j];
                        headers[j] = headers[i];
                        headers[i] = temp;

                        temp = headers_index[j];
                        headers_index[j] = headers_index[i];
                        headers_index[i] = temp;

                        temp = header_sort[j];
                        header_sort[j] = header_sort[i];
                        header_sort[i] = temp;
                    }
                }
            }

            var show_data = '<option value="-1" disabled selected>Select</option>';
            for (var i = 0; i < headers.length; i++) {
                show_data += '<option value="' + headers_index[i] + '">' + toTitleCase(headers[i]) + '</option>';
            }

            document.getElementById('headers').innerHTML = show_data;
            if (!(window.localStorage.getItem('dimension_search_header_select') == null || window.localStorage.getItem('dimension_search_header_select') == '')) {
                document.getElementById('headers').value = window.localStorage.getItem('dimension_search_header_select');
                window.localStorage.setItem('dimension_search_header_select', '');
            }
            loadlistfilter();
        }
    }

    document.getElementById('headers').onchange = loadlistfilter;

    function loadlistfilter() {
        var index = document.getElementById('headers').value;
        if (index > -1) {
            var data = JSON.parse(window.localStorage.getItem("product_data"));

            var headers_specs = (data[index].product.csearch_specification_sequence == '' ? data[index].product.cspecification_sequence : data[index].product.csearch_specification_sequence);
            headers_specs = (headers_specs + "").split(';');
            var header = data[index].product.cname;

            document.getElementById('filter_data').innerHTML = "";
            for (var i = 0; i < headers_specs.length - 1; i++) {
                var show_data = "";
                show_data += '<li class="item select-label">' + headers_specs[i] + '</li>' +
                    '<li class="item item-select dim-select">' +
                    '<select id="spec_' + i + '" onchange="loadproductfiltered(' + i + ')">' +
                    '<option value="-1" disabled selected>Select</option>';
                var specs_value = [];
                for (var j = 0; j < data.length; j++) {
                    if (data[j].product.cname == header && data[j].specification != '') {
                        var flag = 0;
                        for (var k = 0; k < data[j].specification.length; k++) {
                            for (var a = 0; a < i; a++) {
                                if (data[j].specification[k].fname == headers_specs[a] && document.getElementById('spec_' + a).value.toLowerCase() == data[j].specification[k].featurevalue.toLowerCase()) {
                                    flag++;
                                }
                            }
                        }
                        for (var k = 0; k < data[j].specification.length; k++) {
                            if (i == 0) {
                                if (data[j].specification[k].fname == headers_specs[i] && specs_value.indexOf(data[j].specification[k].featurevalue) == -1) {
                                    specs_value.push(data[j].specification[k].featurevalue);
                                }
                            } else {
                                if (data[j].specification[k].fname == headers_specs[i] && specs_value.indexOf(data[j].specification[k].featurevalue) == -1) {
                                    if (flag == i) {
                                        specs_value.push(data[j].specification[k].featurevalue);
                                    }
                                }
                            }
                        }
                    }
                }

                for (var l = 0; l < specs_value.length; l++) {
                    show_data += '<option value="' + specs_value[l].replace("\"", "&quot;") + '">' + toTitleCase(specs_value[l]) + '</option>'
                }
                show_data += '</select>' +
                    '</li>';
                document.getElementById('filter_data').innerHTML += show_data;
            }

            //document.getElementById('filter_data').innerHTML = show_data;
            if (!(window.localStorage.getItem('dimension_search_header_spec_select') == null || window.localStorage.getItem('dimension_search_header_spec_select') == '')) {
                var selected_spec_value = window.localStorage.getItem('dimension_search_header_spec_select');
                document.getElementById('spec_0').value = selected_spec_value.split(';')[0];
            }
            loadproductfiltered(0);
        } else {
            document.getElementById('filter_data').innerHTML = "";
            document.getElementById('page_data').innerHTML = "";
        }
    }

    function loadproductfiltered(selectedindex) {
        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
            custom_alert("No Data Available! Please sync data");
        } else {

            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var index = document.getElementById('headers').value;
            var header = data[index].product.cname;
            var headers_specs = (data[index].product.csearch_specification_sequence == '' ? data[index].product.cspecification_sequence : data[index].product.csearch_specification_sequence);
            headers_specs = (headers_specs + "").split(';');

            for (var i = selectedindex + 1; i < headers_specs.length - 1; i++) {
                var show_data = "";
                //console.log(i);
                document.getElementById('spec_' + i).innerHTML = '<option value="-1" disabled selected>Select</option>';
                var specs_value = [];
                for (var j = 0; j < data.length; j++) {
                    if (data[j].product.cname == header && data[j].specification != '') {
                        var flag = 0;
                        for (var k = 0; k < data[j].specification.length; k++) {
                            for (var a = 0; a < i; a++) {
                                if (data[j].specification[k].fname == headers_specs[a] && document.getElementById('spec_' + a).value.toLowerCase() == data[j].specification[k].featurevalue.toLowerCase()) {
                                    flag++;
                                }
                            }
                        }
                        for (var k = 0; k < data[j].specification.length; k++) {
                            if (i == 0) {
                                if (data[j].specification[k].fname == headers_specs[i] && specs_value.indexOf(data[j].specification[k].featurevalue) == -1) {
                                    specs_value.push(data[j].specification[k].featurevalue);
                                }
                            } else {
                                if (data[j].specification[k].fname == headers_specs[i] && specs_value.indexOf(data[j].specification[k].featurevalue) == -1) {
                                    if (flag == i) {
                                        specs_value.push(data[j].specification[k].featurevalue);
                                    }
                                }
                            }
                        }
                    }
                }

                for (var l = 0; l < specs_value.length; l++) {
                    show_data += '<option value="' + specs_value[l].replace("\"", "&quot;") + '">' + toTitleCase(specs_value[l]) + '</option>'
                }
                document.getElementById('spec_' + i).innerHTML += show_data;
                if (!(window.localStorage.getItem('dimension_search_header_spec_select') == null || window.localStorage.getItem('dimension_search_header_spec_select') == '')) {
                    var selected_spec_value = window.localStorage.getItem('dimension_search_header_spec_select');
                    console.log(selected_spec_value.split(';')[i]);
                    document.getElementById('spec_' + i).value = selected_spec_value.split(';')[i];
                }
            }

            var selected_specification_sequence = data[index].product.cspecification_sequence;

            var spec_data = [],
                flagc = 0;
            var headers_specs = (data[index].product.csearch_specification_sequence == '' ? data[index].product.cspecification_sequence : data[index].product.csearch_specification_sequence);
            if (data[index].product.csearch_specification_sequence != '' || data[index].product.cspecification_sequence != '') {
                headers_specs = (headers_specs + "").split(';');
                for (var i = 0; i < headers_specs.length - 1; i++) {
                    spec_data.push(document.getElementById('spec_' + i).value);
                    if (document.getElementById('spec_' + i).value != "-1") {
                        flagc++;
                    }
                    //alert(document.getElementById('spec_' + i).value);
                }
            }

            var show_data = "";
            for (var i = 0; i < data.length; i++) {
                if (data[i].product.cname == header) {
                    var flag = 0;
                    if (!(selected_specification_sequence == "" || selected_specification_sequence == null)) {
                        for (var a = 0; a < spec_data.length; a++) {
                            for (var b = 0; b < data[i].specification.length; b++) {
                                if (data[i].specification[b].fname == headers_specs[a] && data[i].specification[b].featurevalue == spec_data[a]) {
                                    flag++;
                                }
                            }
                        }
                    }
                    if (flag == flagc) { //spec_data.length) {
                        show_data += '<div class="row product-item ripple" onclick="navigatedimensionsearch(\'' + i + '\')">' +
                            '<div class="col-25 col-center">' +
                            '<div class="product-item-icon prod-list-thumb">' +
                            '<img style="background:url(\'' + (data[i].product.image_url == '' ? 'img/default.png' : img_home_address + data[i].product.image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />' +
                            '</div>' +
                            '</div>' +
                            '<div class="col-75 col-center product-item-desc">' +
                            '<p><b><span>Part No.</span> ' + data[i].product.partno + '</b></p>';
                        if (selected_specification_sequence == "" || selected_specification_sequence == null) {
                            show_data += '<p><span>' + data[i].specification[0].fname + '</span> ' + data[i].specification[0].featurevalue + '</p>' +
                                '<p><span>' + data[i].specification[1].fname + '</span> ' + data[i].specification[1].featurevalue + '</p>';
                        } else {
                            var selected_specification = (selected_specification_sequence + "").split(';');
                            for (var j = 0; j < selected_specification.length - 1; j++) {
                                show_data += '<p><span>' + selected_specification[j] + '</span> ';
                                show_value = '';
                                for (var k = 0; k < data[i].specification.length; k++) {
                                    if (data[i].specification[k].fname == selected_specification[j]) {
                                        show_value = data[i].specification[k].featurevalue;
                                    }
                                }
                                show_data += show_value + '</p>';
                            }
                        }
                        show_data += '</div>' +
                            '</div>';
                    }
                }
            }
            document.getElementById('page_data').innerHTML = show_data;
        }

        if (!(window.localStorage.getItem('dimension_search_header_spec_select') == null || window.localStorage.getItem('dimension_search_header_spec_select') == '')) {
            window.localStorage.setItem('dimension_search_header_spec_select', '');
        }
    }

    function navigatedimensionsearch(id) {
        var data = JSON.parse(window.localStorage.getItem("product_data"));
        var index = document.getElementById('headers').value;
        var headers_specs = (data[index].product.csearch_specification_sequence == '' ? data[index].product.cspecification_sequence : data[index].product.csearch_specification_sequence);
        headers_specs = (headers_specs + "").split(';');
        var spec_data = '';
        for (var i = 0; i < headers_specs.length - 1; i++) {
            spec_data += document.getElementById('spec_' + i).value + ";";
        }

        window.localStorage.setItem('dimension_search_header_select', document.getElementById('headers').value);
        window.localStorage.setItem('dimension_search_header_spec_select', spec_data);

        window.localStorage.setItem("selected_product", id);
        window.location = 'product_desc.html';
    }
}

if (page_location == 'oem_part.html') {
    document.getElementById('search-input').onkeyup = loadproductoemsearch;
    document.getElementById('search-input').onkeydown = loadproductoemsearch;
    document.getElementById('search-input').onchange = loadproductoemsearch;
    document.getElementById('search-input').onblur = loadproductoemsearch;

    loadproductoemdropdown();
    window.onload = loadproductoemsearch;

    function loadproductoemdropdown() {
        var oem_array = [];
        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {

        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var search_specification = "Reference O.E.M.";

            var show_data = "";
            var count = 0;
            for (var i = 0; i < data.length; i++) {
                for (var b = 0; b < data[i].specification.length; b++) {
                    if (data[i].specification[b].fname == search_specification) {
                        oem_array.push(data[i].specification[b].featurevalue);
                    }
                }
            }
            $("#search-input").autocomplete({
                source: function(req, response) {
                    var results = $.ui.autocomplete.filter(oem_array, req.term);
                    response(results.slice(0, 10)); //for getting 5 results
                },
                select: function(event, ui) {
                    document.getElementById('search-input').value = ui.item.value;
                    this.blur();
                }
            });
        }
    }

    function loadproductoemsearch() {
        var search_value = document.getElementById('search-input').value;

        if (search_value == '') {
            document.getElementById('page_data').innerHTML = '';
            document.getElementById('result_count').innerHTML = '';
        } else {
            if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
                custom_alert("No Data Available! Please sync data");
            } else {
                var data = JSON.parse(window.localStorage.getItem("product_data"));
                var search_specification = "Reference O.E.M.";

                var show_data = "";
                var count = 0;
                for (var i = 0; i < data.length; i++) {
                    var flag = 0;
                    for (var b = 0; b < data[i].specification.length; b++) {
                        if (data[i].specification[b].fname == search_specification && (data[i].specification[b].featurevalue + "").toLowerCase().indexOf(search_value.toLowerCase()) > -1) {
                            flag++;
                        }
                    }
                    if (flag > 0) {
                        count++;
                        show_data += '<div class="row product-item ripple" onclick="navigateoempart(\'' + i + '\')">' +
                            '<div class="col-25 col-center">' +
                            '<div class="product-item-icon prod-list-thumb">' +
                            '<img style="background:url(\'' + (data[i].product.image_url == '' ? 'img/default.png' : img_home_address + data[i].product.image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />' +
                            '</div>' +
                            '</div>' +
                            '<div class="col-75 col-center product-item-desc">' +
                            '<p><b><span>Part No.</span> ' + data[i].product.partno + '</b></p>';
                        var selected_specification_sequence = data[i].product.cspecification_sequence + "Reference O.E.M.;";
                        if (selected_specification_sequence == "" || selected_specification_sequence == null) {
                            show_data += '<p><span>' + data[i].specification[0].fname + '</span> ' + data[i].specification[0].featurevalue + '</p>' +
                                '<p><span>' + data[i].specification[1].fname + '</span> ' + data[i].specification[1].featurevalue + '</p>';
                        } else {
                            var selected_specification = (selected_specification_sequence + "").split(';');
                            for (var j = 0; j < selected_specification.length - 1; j++) {
                                show_data += '<p><span>' + selected_specification[j] + '</span> ';
                                show_value = '';
                                for (var k = 0; k < data[i].specification.length; k++) {
                                    if (data[i].specification[k].fname == selected_specification[j]) {
                                        show_value = data[i].specification[k].featurevalue;
                                    }
                                }
                                show_data += show_value + '</p>';
                            }
                        }
                        show_data += '</div>' +
                            '</div>';
                    }
                }
                document.getElementById('page_data').innerHTML = show_data;
                if (count > 0) {
                    document.getElementById('result_count').innerHTML = 'Results (' + count + ')';
                } else {
                    document.getElementById('result_count').innerHTML = '';
                }
            }
        }
    }

    document.getElementById('cleardata').onclick = function() {
        document.getElementById("search-input").value = "";
        loadproductoemsearch();
    }

    function navigateoempart(id) {
        window.localStorage.setItem("selected_product", id);
        window.location = 'product_desc.html';
    }
}

if (page_location == 'kki_part.html') {
    document.getElementById('search-input').onkeyup = loadproductkkisearch;
    document.getElementById('search-input').onkeydown = loadproductkkisearch;
    document.getElementById('search-input').onchange = loadproductkkisearch;
    document.getElementById('search-input').onblur = loadproductkkisearch;

    loadproductkkidropdown();
    window.onload = loadproductkkisearch;

    function loadproductkkidropdown() {
        var partno_array = [];
        if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {

        } else {
            var data = JSON.parse(window.localStorage.getItem("product_data"));
            var search_specification = "Part No. (Teflon)";

            var show_data = "";
            var count = 0;
            for (var i = 0; i < data.length; i++) {
                partno_array.push(data[i].product.partno);
                for (var b = 0; b < data[i].specification.length; b++) {
                    if (data[i].specification[b].fname == search_specification) {
                        partno_array.push(data[i].specification[b].featurevalue);
                    }
                }
            }
            $("#search-input").autocomplete({
                source: function(req, response) {
                    var results = $.ui.autocomplete.filter(partno_array, req.term);
                    response(results.slice(0, 10)); //for getting 5 results
                },
                select: function(event, ui) {
                    document.getElementById('search-input').value = ui.item.value;
                    this.blur();
                }
            });
        }
    }

    function loadproductkkisearch() {
        var search_value = document.getElementById('search-input').value;

        if (search_value == '') {
            document.getElementById('page_data').innerHTML = '';
            document.getElementById('result_count').innerHTML = '';
        } else {
            if (window.localStorage.getItem("product_data") == null || window.localStorage.getItem("product_data") == "") {
                custom_alert("No Data Available! Please sync data");
            } else {
                var data = JSON.parse(window.localStorage.getItem("product_data"));

                var search_specification = "Part No. (Teflon)";
                var show_data = "";
                var count = 0;
                for (var i = 0; i < data.length; i++) {
                    var flag = 0;
                    if ((data[i].product.partno + "").toLowerCase().indexOf(search_value.toLowerCase()) > -1) {
                        flag++;
                    }
                    for (var b = 0; b < data[i].specification.length; b++) {
                        if (data[i].specification[b].fname == search_specification && (data[i].specification[b].featurevalue + "").toLowerCase().indexOf(search_value.toLowerCase()) > -1) {
                            flag++;
                        }
                    }
                    if (flag > 0) {
                        count++;
                        show_data += '<div class="row product-item ripple" onclick="navigatekkipart(\'' + i + '\')">' +
                            '<div class="col-25 col-center">' +
                            '<div class="product-item-icon prod-list-thumb">' +
                            '<img style="background:url(\'' + (data[i].product.image_url == '' ? 'img/default.png' : img_home_address + data[i].product.image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />' +
                            '</div>' +
                            '</div>' +
                            '<div class="col-75 col-center product-item-desc">' +
                            '<p><b><span>Part No.</span> ' + data[i].product.partno + '</b></p>';
                        var selected_specification_sequence = data[i].product.cspecification_sequence + "Part No. (Teflon);";
                        if (selected_specification_sequence == "" || selected_specification_sequence == null) {
                            show_data += '<p><span>' + data[i].specification[0].fname + '</span> ' + data[i].specification[0].featurevalue + '</p>' +
                                '<p><span>' + data[i].specification[1].fname + '</span> ' + data[i].specification[1].featurevalue + '</p>';
                        } else {
                            var selected_specification = (selected_specification_sequence + "").split(';');
                            for (var j = 0; j < selected_specification.length - 1; j++) {
                                show_data += '<p><span>' + selected_specification[j] + '</span> ';
                                show_value = '';
                                for (var k = 0; k < data[i].specification.length; k++) {
                                    if (data[i].specification[k].fname == selected_specification[j]) {
                                        show_value = data[i].specification[k].featurevalue;
                                    }
                                }
                                show_data += show_value + '</p>';
                            }
                        }
                        show_data += '</div>' +
                            '</div>';
                    }
                }
                document.getElementById('page_data').innerHTML = show_data;
                if (count > 0) {
                    document.getElementById('result_count').innerHTML = 'Results (' + count + ')';
                } else {
                    document.getElementById('result_count').innerHTML = '';
                }
            }
        }
    }

    document.getElementById('cleardata').onclick = function() {
        document.getElementById("search-input").value = "";
        loadproductkkisearch();
    }

    function navigatekkipart(id) {
        window.localStorage.setItem("selected_product", id);
        window.location = 'product_desc.html';
    }
}

if (page_location == 'contact.html') {
    document.getElementById('send').onclick = function() {
        var text = document.getElementById('text').value;
        var name = window.localStorage.getItem('name');
        var email = window.localStorage.getItem('email');
        var mobile = window.localStorage.getItem('mobile');
        var remail = prompt('Please confirm your email', email);
        if (remail != null) {
            email = remail;
            window.localStorage.setItem('email', email);

            if (email.match(verify_email)) {
                if (text != '') {
                    loading_on();
                    var xmlhttp = new XMLHttpRequest();
                    //monitor response
                    xmlhttp.onreadystatechange = function() {
                        //alert(xmlhttp.responseText);
                        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                            var response = JSON.parse(xmlhttp.responseText);
                            if (response.status == '200') {
                                custom_alert('Your Query has been sent. Our support team will contact you shortly.')
                                document.getElementById('text').value = '';
                            } else {
                                custom_alert('Error Sending Query');
                            }
                            loading_off();
                        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                            custom_alert('Network Error! Check Network Settings');
                            loading_off();
                        }
                    }

                    var params = "request=107" +
                        "&name=" + encodeURIComponent(name) +
                        "&email=" + encodeURIComponent(email) +
                        "&mobile=" + encodeURIComponent(mobile) +
                        "&cname=" + encodeURIComponent(window.localStorage.getItem('company_name')) +
                        "&dob=" + encodeURIComponent(window.localStorage.getItem('dateofbirth')) +
                        "&city=" + encodeURIComponent(window.localStorage.getItem('city')) +
                        "&state=" + encodeURIComponent(window.localStorage.getItem('state')) +
                        "&country=" + encodeURIComponent(window.localStorage.getItem('country')) +
                        "&text=" + encodeURIComponent(text);

                    xmlhttp.open('POST', api_address, true);
                    xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                    xmlhttp.send(params);

                } else {
                    custom_alert("Please enter Some Text", function() {
                        document.getElementById('text').focus();
                    });
                }
            } else {
                custom_alert('Your email is not valid! Please try again');
            }
        }
    }
}

if (page_location == 'notification.html') {

    window.addEventListener('load', function() {

        loading_on();
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function() {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                window.localStorage.setItem('notifeeddata', xmlhttp.responseText);
                loading_off();
                loadnotifeeddata();
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                loading_off();
                //custom_alert('Network Error! Check Network Settings');
                loadnotifeeddata();
            }
        }

        var params = "request=108&userid=" + encodeURIComponent(window.localStorage.getItem('userid'));

        xmlhttp.open('POST', api_address, true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send(params);

    });

    function loadnotifeeddata() {
        if (!(window.localStorage.getItem('notifeeddata') == '' || window.localStorage.getItem('notifeeddata') == null)) {
            var response = JSON.parse(window.localStorage.getItem('notifeeddata'));
            if (response.notification_status == '200') {
                var data = response.notification_data;

                var show_data = "";
                for (var i = 0; i < data.length; i++) {
                    show_data += '<div class="notify-cont product-item ripple">' +
                        '<div class="row notify-info">' + data[i].title + '</div>' +
                        '<div class="row notify-info">' + data[i].message + '</div>' +
                        '<div class="row notify-info-foot">' +
                        '<div class="col-50 notify-date">' + new Date(data[i].timestamp).toDateString() + '</div>' +
                        '<div class="col-50 notify-time">' + new Date(data[i].timestamp).toLocaleTimeString() + '</div>' +
                        '</div>' +
                        '</div>';
                }

                document.getElementById('notification_data').innerHTML = show_data;
            } else {
                var show_data = "";
                show_data += '<div class="notify-cont product-item ripple">' +
                    '<div class="row notify-info">No Notification Received</div>' +
                    '</div>';
                document.getElementById('notification_data').innerHTML = show_data;
            }

            if (response.newsfeed_status == '200') {
                var data = response.newsfeed_data;

                var show_data = "";
                for (var i = 0; i < data.length; i++) {
                    show_data += '<div class="inner-tab">' +
                        '<h3>' + data[i].title + '</h3>' +
                        (data[i].image_url == '' ? '' : '<img style="background:url(\'' + (data[i].image_url == '' ? 'img/default.png' : img_home_address + data[i].image_url) + '\'); background-repeat:no-repeat; background-position:center; background-size: contain;" src="img/demo.png" onerror="loaddefaultpic(this)" />') +
                        (data[i].message == '' ? '' : '<p>' + data[i].message + '</p>') +
                        '<div class="row card-social">' +
                        '<div class="col-50 feed-date">' +
                        '<i class="card-social-counter">' + new Date(data[i].timestamp).toDateString() + '</i>' +
                        '</div>' +
                        '<div class="col-50 feed-time">' +
                        '<i class="card-social-counter">' + new Date(data[i].timestamp).toLocaleTimeString() + '</i>' +
                        '</div>' +
                        '</div>' +
                        '</div>';
                }

                document.getElementById('newsfeed_data').innerHTML = show_data;
            } else {
                var show_data = "";
                show_data += '<div class="inner-tab">' +
                    '<h3>No Feeds Available</h3>' +
                    '</div>';
                document.getElementById('newsfeed_data').innerHTML = show_data;
            }
        } else {
            var show_data = "";
            show_data += '<div class="notify-cont product-item ripple">' +
                '<div class="row notify-info">No Notification Received</div>' +
                '</div>';
            document.getElementById('notification_data').innerHTML = show_data;
            show_data = "";
            show_data += '<div class="inner-tab">' +
                '<h3>No Feeds Available</h3>' +
                '</div>';
            document.getElementById('newsfeed_data').innerHTML = show_data;
        }
    }
}

if (page_location == 'terms.html') {

    window.addEventListener('load', function() {

        loading_on();
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function() {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                var res = JSON.parse(xmlhttp.responseText);
                if (res.status == '200') {
                    document.getElementById('summernote').innerHTML = res.terms.terms;
                    $('#summernote').summernote({ toolbar: [] });
                    $('.note-editor').css('border', 'none');
                    $('.note-toolbar').css('display', 'none');
                    $('.note-editable').attr('contentEditable', 'false');
                    $('.note-editable').css('background', '#FFF');
                } else {
                    custom_alert('Error Fetching Terms and Conditions');
                }
                loading_off();
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                loading_off();
                custom_alert('Network Error! Check Network Settings');
            }
        }

        var params = "request=109";

        xmlhttp.open('POST', api_address, true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send(params);

    });
}

function loaddefaultpic(element) {
    element.src = 'img/default.png';
}

function toTitleCase(str) {
    return str.replace(/\w\S*/g, function(txt) { return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase(); });
}